Index: /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/CONF/zoo.cfg
===================================================================
--- /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/CONF/zoo.cfg	(revision 31078)
+++ /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/CONF/zoo.cfg	(revision 31078)
@@ -0,0 +1,3 @@
+tickTime=2000
+dataDir=/var/lib/zookeeper
+clientPort=2181
Index: /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SCRIPTS/remote-solr-start-all.sh
===================================================================
--- /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SCRIPTS/remote-solr-start-all.sh	(revision 31078)
+++ /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SCRIPTS/remote-solr-start-all.sh	(revision 31078)
@@ -0,0 +1,6 @@
+#!/bin/bash
+
+for solr_node in $SOLR_NODES ; do
+  echo $solr_node
+#  ssh $solr_node solr start -c -z $ZOOKEEPER_SERVER -h $solr_node
+done
Index: /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SCRIPTS/remote-solr-stop-all.sh
===================================================================
--- /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SCRIPTS/remote-solr-stop-all.sh	(revision 31078)
+++ /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SCRIPTS/remote-solr-stop-all.sh	(revision 31078)
@@ -0,0 +1,6 @@
+#!/bin/bash
+
+for solr_node in $SOLR_NODES ; do
+  echo $solr_node
+#  ssh $solr_node solr stop
+done
Index: /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SCRIPTS/remote-spark-start-all.sh
===================================================================
--- /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SCRIPTS/remote-spark-start-all.sh	(revision 31078)
+++ /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SCRIPTS/remote-spark-start-all.sh	(revision 31078)
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+ssh $SPARK_MASTER $SPARK_HOME/sbin/start-all.sh 
Index: /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SCRIPTS/remote-spark-stop-all.sh
===================================================================
--- /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SCRIPTS/remote-spark-stop-all.sh	(revision 31078)
+++ /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SCRIPTS/remote-spark-stop-all.sh	(revision 31078)
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+ssh $SPARK_MASTER $SPARK_HOME/sbin/stop-all.sh 
Index: /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SCRIPTS/remote-zookeeper-start.sh
===================================================================
--- /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SCRIPTS/remote-zookeeper-start.sh	(revision 31078)
+++ /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SCRIPTS/remote-zookeeper-start.sh	(revision 31078)
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+ssh gchead zkServer.sh start
Index: /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SCRIPTS/remote-zookeeper-stop.sh
===================================================================
--- /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SCRIPTS/remote-zookeeper-stop.sh	(revision 31078)
+++ /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SCRIPTS/remote-zookeeper-stop.sh	(revision 31078)
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+ssh gchead zkServer.sh stop
Index: /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SETUP.bash
===================================================================
--- /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SETUP.bash	(revision 31078)
+++ /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SETUP.bash	(revision 31078)
@@ -0,0 +1,42 @@
+
+
+export SPARK_MASTER=gchead
+export SPARK_MASTER_URL=spark://$SPARK_MASTER:7077
+export SPARK_SLAVES="gc1 gc2 gc3 gc4 gc5 gc6 gc7 gc8 gc9"
+
+export ZOOKEEPER_SERVER=gchead:2181
+export SOLR_NODES="gc1:8983 gc2:8983 gc3:8983 gc4:8983 gc5:8983 gc6:8983 gc7:8983 gc8:8983 gc9:8983"
+
+export HTRC_EF_PACKAGE_HOME=`pwd`
+
+echo ""
+echo "****"
+
+export PATH="$HTRC_EF_PACKAGE_HOME/jdk1.8.0/bin:$PATH"
+echo "* Added in JDK into PATH"
+
+export PATH="$HTRC_EF_PACKAGE_HOME/spark/bin:$HTRC_EF_PACKAGE_HOME/spark/sbin:$PATH"
+echo "* Added in Spark into PATH"
+
+source SETUP/setup-zookeeper.bash 
+
+source SETUP/setup-solr.bash
+
+
+export PATH="$HTRC_EF_PACKAGE_HOME/SCRIPTS:$PATH"
+echo "Added in HTRC EF PACKAGE remote scripting into PATH"
+
+spark_conf_slaves="$SPARK_HOME/conf/slaves" 
+if [ ! -f "$spark_conf_slaves" ] ; then
+  echo "****"
+  echo "* Populatig $spark_conf_slaves" 
+  echo "* With: $SPARK_SLAVES"
+  echo "****"
+  for s in $SPARK_SLAVES ; do
+    echo $s
+#    echo $s >> "$spark_conf_slaves"
+  done
+fi
+
+echo "****"
+echo ""
Index: /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SETUP/setup-solr.bash
===================================================================
--- /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SETUP/setup-solr.bash	(revision 31078)
+++ /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SETUP/setup-solr.bash	(revision 31078)
@@ -0,0 +1,11 @@
+
+
+
+export PATH="$HTRC_EF_PACKAGE_HOME/solr/bin:$PATH"
+echo "Added in Solr into PATH"
+
+export SOLR_HOME="$HTRC_EF_PACKAGE_HOME/solr/server/solr"
+echo "Set Solr node (home) conf dir to: $SOLR_HOME"
+
+#alias solr-start-node.sh="solr start -c -z zookeeper:2181 -h `hostname`:8983"
+#alias solr-stop-node.sh="solr stop"
Index: /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SETUP/setup-spark.bash
===================================================================
--- /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SETUP/setup-spark.bash	(revision 31078)
+++ /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SETUP/setup-spark.bash	(revision 31078)
@@ -0,0 +1,8 @@
+
+export SPARK_HOME="$HTRC_EF_PACKAGES_HOME/spark"
+export PATH="$SPARK_HOME/bin:$SPARK_HOME/sbin:$PATH"
+
+
+#alias spark-start-all.sh="$SPARK_HOME/sbin/start-all.sh"
+#alias spark-stop-all.sh="$SPARK_HOME/sbin/stop-all.sh"
+
Index: /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SETUP/setup-zookeeper.bash
===================================================================
--- /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SETUP/setup-zookeeper.bash	(revision 31078)
+++ /other-projects/hathitrust/wcsa/extracted-features-solr/trunk/gslis-cluster/SETUP/setup-zookeeper.bash	(revision 31078)
@@ -0,0 +1,9 @@
+
+
+export ZOOKEEPER_HOME="$HTRC_EF_PACKAGE_HOME/zookeeper"
+export PATH="$ZOOKEEPER_HOME/bin:$PATH"
+echo "Added in Zookeeper into PATH"
+
+alias zookeeper-start.sh="zkServer.sh start"
+alias zookeeper-stop.sh="zkServer.sh stop"
+