Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ru.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ru.properties	(revision 31085)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ru.properties	(revision 31086)
@@ -77,8 +77,11 @@
 query.docsreturned:{0-numdocs} {1-level-plural} ÐœÐ°Ð¹ÐŽÐµÐœÐŸ.
 
-query.termoccurs.1.1:{0-term} Ð²ÑÑÑÐµÑÐ°ÐµÑÑÑ {1-termfreq} ÑÐ°Ð·
+query.termoccurs.0:'{0-term}' Ð²ÑÑÑÐµÑÐ°ÐµÑÑÑ 0 ÑÐ°Ð·
+query.termoccurs.1:'{0-term}' Ð²ÑÑÑÐµÑÐ°ÐµÑÑÑ 1 ÑÐ°Ð·
+query.termoccurs.x:'{0-term}' Ð²ÑÑÑÐµÑÐ°ÐµÑÑÑ {1-termfreq} ÑÐ°Ð·
+
 query.termoccurs.x.1:{0-term} Ð²ÑÑÑÐµÑÐ°ÐµÑÑÑ {1-termfreq} ÑÐ°Ð·
 query.termoccurs.x.x:{0-term} Ð²ÑÑÑÐµÑÐ°ÐµÑÑÑ {1-termfreq} ÑÐ°Ð·
-query.termSectionFreq:Ð² {0-numdocs} {1-level-plural}
+
 query.document:ÐŽÐŸÐºÑÐŒÐµÐœÑ
 query.document_plural:ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ²
@@ -118,5 +121,8 @@
 pref.formatedit:Ð ÐµÐ¶ÐžÐŒ ÑÐµÐŽÐ°ÐºÑÐžÑÐŸÐ²Ð°ÐœÐžÑ ÑÐŸÑÐŒÐ°ÑÐ°
 pref.theme:Ð¢ÐµÐŒÐ° ÐžÐœÑÐµÑÑÐµÐ¹ÑÐ°
-
+pref.switch_theme:ÐÐµÑÐµÐºÐ»ÑÑÐžÑÑ ÑÐµÐŒÑ
+pref.theme_default:Greenstone Ð¿ÐŸ ÑÐŒÐŸÐ»ÑÐ°ÐœÐžÑ
+pref.theme_custom1:Greenstone ÐÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»ÑÑÐºÐžÐ¹ 1
+pref.theme_custom2:Greenstone ÐÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»ÑÑÐºÐžÐ¹ 2
 ##################
 # document page
@@ -168,4 +174,5 @@
 de.edit_metadata:ÑÐµÐŽÐ°ÐºÑÐžÑÐŸÐ²Ð°ÑÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ
 de.hide_metadata:ÑÐ¿ÑÑÑÐ°ÑÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ
+de.remove:ÑÐŽÐ°Ð»ÐžÑÑ
 de.edit_content:Ð ÐµÐŽÐ°ÐºÑÐžÑÐŸÐ²Ð°ÑÑ ÐºÐŸÐœÑÐµÐœÑ
 de.hide_editor:Ð¡Ð¿ÑÑÑÐ°ÑÑ ÑÐµÐŽÐ°ÐºÑÐŸÑ
@@ -177,4 +184,6 @@
 de.enter_meta_dropdown:ÐÐ²ÐµÐŽÐžÑÐµ ÐžÐŒÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
  ÐžÐ»Ðž ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐ¹ÑÐµ ÑÑÑÐµÐ»ÐºÑ Ð²ÐœÐžÐ· ÐŽÐ»Ñ Ð²ÑÐ±ÐŸÑÐ°, Ð° Ð¿ÐŸÑÐŸÐŒ ÐœÐ°Ð¶ÐŒÐžÑÐµ 'ÐÐŸÐ±Ð°Ð²ÐžÑÑ ÐœÐŸÐ²ÐŸÐµ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÐŸÐµ'
+de.top_level_menu:ÐÐµÑÑ
+ÐœÐžÐ¹ ÑÑÐŸÐ²ÐµÐœÑ ÐŒÐµÐœÑ
 ##################
 # authentication page
@@ -211,4 +220,13 @@
 authen.change_password:ÐÐ·ÐŒÐµÐœÐžÑÑ ÐÐ°ÑÐŸÐ»Ñ
 authen.reset_password:Ð¡Ð±ÑÐŸÑ ÐÐ°ÑÐŸÐ»Ñ
+authen.register_as_new:ÐÐ°ÑÐµÐ³ÐžÑÑÑÐžÑÐŸÐ²Ð°ÑÑÑÑ ÐºÐ°Ðº ÐœÐŸÐ²ÑÐ¹ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»Ñ
+authen.group_desc:ÐÑÑÐ¿Ð¿Ñ Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÑÑÑ ÑÐŸÐ±ÐŸÐ¹ ÑÐ¿ÐžÑÐŸÐº ÐžÐŒÐµÐœ Ð³ÑÑÐ¿Ð¿. ÐÐ²ÐµÐŽÐžÑÐµ ÐžÐŒÑ Ð³ÑÑÐ¿Ð¿Ñ ÐžÐ»Ðž Ð²ÑÐ±ÐµÑÐžÑÐµ Ð»ÑÐ±ÑÑ ÐžÐ· ÑÐ¿ÐžÑÐºÐ° Ðž ÐœÐ°Ð¶ÐŒÐžÑÐµ 'ÐÐŸÐ±Ð°Ð²ÐžÑÑ Ð³ÑÑÐ¿Ð¿Ñ'.
+authen.admin_desc:'ÐÐŽÐŒÐžÐœÐžÑÑÑÐ°ÑÐŸÑ' Ð¿ÑÐµÐŽÐŸÑÑÐ°Ð²Ð»ÑÐµÑ ÐŽÐŸÑÑÑÐ¿ Ðº ÑÐ¿ÑÐ°Ð²Ð»ÐµÐœÐžÑ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»ÑÐŒÐž
+authen.all_coll_edit_desc:'all-collections-editor' ÑÐ°Ð·ÑÐµÑÐ°ÐµÑ ÐžÐ·ÐŒÐµÐœÐµÐœÐžÐµ Ð»ÑÐ±ÑÑ
+ ÑÐŸÐ±ÑÐ°ÐœÐžÐ¹
+authen.pers_coll_edit_desc:'personal-collections-editor' ÑÐ°Ð·ÑÐµÑÐ°ÐµÑ ÑÐµÐŽÐ°ÐºÑÐžÑÐŸÐ²Ð°ÐœÐžÐµ Ð»ÑÐ±ÑÑ
+ ÑÐŸÐ±ÑÐ°ÐœÐžÐ¹, ÑÐŸÐ·ÐŽÐ°ÐœÐœÑÑ
+ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»ÐµÐŒ Ð² ÐÐœÑÐµÑÑÐµÐ¹ÑÐµ ÐÐžÐ±Ð»ÐžÐŸÑÐµÐºÐ°ÑÑ ÐÑÐžÐœÑÑÐŸÑÐœ
+authen.single_coll_edit_desc:'COLLNAME-collection-editor'Ð¿ÐŸÐ·Ð²ÐŸÐ»ÑÐµÑ ÑÐµÐŽÐ°ÐºÑÐžÑÐŸÐ²Ð°ÐœÐžÐµ ÑÐ¿ÐµÑÐžÐ°Ð»ÑÐœÐŸÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž (Ð·Ð°ÐŒÐµÐœÐžÑÐµ COLLNAME ÐœÐ° ÐžÐŽÐµÐœÑÐžÑÐžÐºÐ°ÑÐŸÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž)
 
 ##################
@@ -238,7 +256,23 @@
 
 berry.title:ÐÐŸÑÐ·ÐžÐœÐ° ÑÐ³ÐŸÐŽ
-berry.view.full:ÐÑÐœÐŸÐ²ÐœÐŸÐ¹ Ð²ÐžÐŽ
-berry.view.text:Ð¢ÐµÐºÑÑÐŸÐ²ÑÐ¹ Ð²ÐžÐŽ
-berry.view.email:Ð­Ð»ÐµÐºÑÑÐŸÐœÐœÐ°Ñ Ð¿ÐŸÑÑÐ°
+berry.full_view:ÐÐŸÐ»ÐœÐŸÐŒÐ°ÑÑÑÐ°Ð±ÐœÐŸÐµ ÐŸÑÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐµ
+berry.text_view:Ð¢ÐµÐºÑÑÐŸÐ²ÐŸÐµ Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÐµÐœÐžÐµ:
+berry.email_view:ÐÐŽÑÐµÑ
 berry.help:ÐÐµÑÐµÐŒÐµÑÑÐžÑÐµ Ðž ÐŸÑÐ¿ÑÑÑÐžÑÐµ ÑÐ³ÐŸÐŽÑ Ð·ÐŽÐµÑÑ, ÑÑÐŸÐ±Ñ ÐŽÐŸÐ±Ð°Ð²ÐžÑÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ Ð² ÐºÐŸÑÐ·ÐžÐœÑ
 berry.full:ÐÑÐœÐŸÐ²ÐœÐŸÐ¹ Ð²ÐžÐŽ Â»
+berry.to:ÐÐŸÐŒÑ:
+berry.cc:Ð¡ÐºÑÑÑÐ°Ñ ÐºÐŸÐ¿ÐžÑ:
+berry.bcc:BCC:
+berry.subject:Ð¢ÐµÐŒÐ°:
+berry.send:ÐÑÐ¿ÑÐ°Ð²ÐžÑÑ
+berry.url_only:ÐÑÐŸÑÐŒÐŸÑÑ ÑÐŸÐ»ÑÐºÐŸ URL
+berry.url_and_metadata:ÐÑÐŸÑÐŒÐŸÑÑ URL Ðž ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
+
+berry.empty_basket:ÐÐ°ÑÐ° ÐºÐŸÑÐ·ÐžÐœÐ° Ð¿ÑÑÑÐ°
+berry.doc_name:ÐÐŽÐµÐœÑÐžÑÐžÐºÐ°ÑÐŸÑ
+berry.doc_title:ÐœÐ°Ð·Ð²Ð°ÐœÐžÐµ
+berry.doc_collection:ÑÐŸÐ±ÑÐ°ÐœÐžÐµ
+berry.doc_date:ÐŽÐ°ÑÐ°
+berry.doc_root_title:ÐŸÑÐœÐŸÐ²ÐœÐŸÐ¹ Ð·Ð°Ð³ÐŸÐ»ÐŸÐ²ÐŸÐº
+berry.send_success:ÐÑÐ¿ÑÐ°Ð²ÐºÐ° ÑÑÐ¿ÐµÑÐœÐŸ Ð·Ð°Ð²ÐµÑÑÐµÐœÐ°
+berry.send_fail:ÐÑÐ¿ÑÐ°Ð²ÐºÐ° Ð¿ÐŸÑÑÑ ÐœÐµ ÑÐŽÐ°Ð»Ð°ÑÑ