Index: /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_fr.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_fr.properties	(revision 31107)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_fr.properties	(revision 31108)
@@ -26,24 +26,52 @@
 
 # search parameters
+param.index:Index dans lequel rechercher
+param.indexSubcollection:Index de sous-collection
+param.indexLanguage:Index de langue
+param.maxDocs:RÃ©sultats maximum Ã  renvoyer
+param.query:ChaÃ®ne de requÃªte
+param.rawquery:ChaÃ®ne de requÃªte brute
+param.hitsPerPage:RÃ©sultats par page
+param.startPage:DÃ©buter Ã  partir de la page
 
+param.stem:Chercher par la racine
+param.case:Ignorer la casse
+param.accent:Ignorer les accents
 param.boolean.on:actif
 param.boolean.off:inactif
+param.matchMode:Correspond
 param.matchMode.all:tous les
 param.matchMode.some:quelques-uns des
 
+param.level:GranularitÃ© pour chercher Ã 
+param.sortBy:RÃ©sultats de la recherche du tri par
+param.sortBy.1:rang
+param.sortBy.0:ordre de construction
+param.sortBy.rank:rang
+param.sortBy.none:ordre de construction
+param.sortOrder:Qrdre de tri
 param.sortOrder.0:croissant
 param.sortOrder.1:dÃ©croissant
+param.reverseSort:Tri inverse
 param.reverseSort.0:inactif
 param.reverseSort.1:actif
-param.fqs:racine
+param.fqv:Mot ou expression
+param.fqf:dans le champ
+param.fqf.all:tous les champs
+param.fqs:chercher par la racine
+param.fqc:ignorer la casse
 param.fqk:
+param.fqk.0:ET
+param.fqk.1:OU
+param.fqk.2:NE PAS
+param.fqa:ignorer les accents
 
 #levels 
-level.document:Document
-level.Doc:Document
-level.section:Section
-level.Sec:Section
-level.paragraph:Paragraphe
-level.Para:Paragraphe
+level.document:document
+level.Doc:document
+level.section:section
+level.Sec:section
+level.paragraph:paragraphe
+level.Para:paragraphe
 level.book:livre
 level.books:livres
@@ -67,11 +95,11 @@
 param.un:nom d'utilisateur
 param.pw:mot de passe
-param.com:Commentaires
+param.com:commentaires
 param.boolean.enabled:activÃ©
 param.boolean.disabled:dÃ©sactivÃ©
-param.as:Ãtat du compte
-param.gp:Groupes
-param.npw:Nouveau mot de passe
-param.rnpw:Veuillez retaper le nouveau mot de passe
+param.as:Ã©tat du compte
+param.gp:groupes
+param.npw:nouveau mot de passe
+param.rnpw:veuillez retaper le nouveau mot de passe
 
 ## CrossCollectionSearch specific strings
Index: /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_fr.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_fr.properties	(revision 31107)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_fr.properties	(revision 31108)
@@ -1,20 +1,63 @@
 #***** IMAGE URLS *****
+expand_image:interfaces/__INTERFACE_NAME__/images/expand.png
+collapse_image:interfaces/__INTERFACE_NAME__/images/collapse.png
+page_image:interfaces/__INTERFACE_NAME__/images/page.png
+chapter_image:interfaces/__INTERFACE_NAME__/images/chapter.png
+realistic_books_image:interfaces/__INTERFACE_NAME__/images/rbook.png
+slideshow_image:interfaces/__INTERFACE_NAME__/images/slideshow.png
+highlight_image:interfaces/__INTERFACE_NAME__/images/hl.png
+bookshelf_image:interfaces/__INTERFACE_NAME__/images/bookshelf.png
+book_image:interfaces/__INTERFACE_NAME__/images/book.png
+loading_image:interfaces/__INTERFACE_NAME__/images/loading.gif
+page_icon_image:interfaces/__INTERFACE_NAME__/images/itext.gif
+trash_full_image:interfaces/__INTERFACE_NAME__/images/trash-full.png
+trash_empty_image:interfaces/__INTERFACE_NAME__/images/trash-empty.png
+blank_image:interfaces/__INTERFACE_NAME__/images/blankImage.png
+next_image:interfaces/__INTERFACE_NAME__/images/next.png
+prev_image:interfaces/__INTERFACE_NAME__/images/previous.png
+zoom_image:interfaces/__INTERFACE_NAME__/images/zoom.png
+left_arrow_image:interfaces/__INTERFACE_NAME__/images/leftarrow.png
+float_toc_image:interfaces/__INTERFACE_NAME__/images/floattoc.png
+green_bug_image:interfaces/__INTERFACE_NAME__/images/GB.png
 
 #***** TEXT FRAGMENTS *****
 gsdl:Logiciel de BibliothÃšque NumÃ©rique Greenstone
+gs3power:alimentÃ© par greenstone3
+error:ErreurÂ :
+hide_error:Masquer l'erreur
+show_error:Afficher erreur
 # the buttons
+home_b:Accueil
 help_b:Aide
 pref_b:PrÃ©fÃ©rences
+debuginfo_b:Les informations de dÃ©bogage
+login_b:S'identifier
 # tool tips for the buttons
+home_tip:Page d'accueil de la bibliothÃšque
+help_tip:Pages d'aide
+pref_tip:Changez vos prÃ©fÃ©rences d'interface
+debuginfo_tip:Afficher les options d'affichage de dÃ©bogage
+login_tip:S'identifier
 aboutpage:Page Ã  propos
+home.quick_search:Recherche rapide
 home.librarian_interface:l'Interface BibliothÃ©caire
+home.select_a_collection:SÃ©lectionner une collection
+home.no_collections:Cette bibliothÃšque n'a pas de collections valides
 #***** logged in menu
+menu.account_settings:ParamÃštres du compte
+menu.enable_edit_mode:Activer le mode Ã©dition
+menu.disable_edit_mode:DÃ©sactiver le mode Ã©dition
+menu.logout:Se dÃ©connecter
 
 ######################
 # system page
 #######################
+system.title:Demande du systÃšme
 ######################
 # about page
 #######################
+about.noservices:Il n y a pas de services disponibles pour cette collection
+about.services:Services extra disponiblesÂ :
+about.servicehelp:Vous pouvez accÃ©der aux services en cliquant sur les boutons ci-dessous ou sur les noms de la barre de navigation. La barre de navigation est permanente Ã  travers toutes les pages de la collection
 
 #######################
@@ -22,8 +65,32 @@
 ########################
 query:Recherche
-
+query.nodocsmatch:{0-level-plural} ne correspondent pas Ã  la requÃªte.
+query.onedocsmatch:Un {0-level-single} correspond Ã  la requÃªte.
+query.manydocsmatch:{0-numdocs} {1-level-plural} correspondent Ã  la requÃªte.
+query.atleastdocsmatch:Au moins {0-numdocs} {1-niveau-pluriel} correspond Ã  la requÃªte
+query.docsreturned:{0-numdocs} {1-level-plural} returned.
+
+query.termoccurs.0:{0-term}' se produit 0 fois
+query.termoccurs.1:{0-term}' se produit 1 fois
+query.termoccurs.x:{0-term}' se produit {1-termfreq} fois
+
+query.termoccurs.x.1:{0-term}' se produit {1-termfreq} fois en 1 {3-niveau-unique}
+query.termoccurs.x.x:{0-term}' se produit {1-termfreq} fois en {2-numdocs} {3-niveau-pluriel}
+
+query.document:document
 query.document_plural:documents
+query.section:section
+query.section_plural:sections
 
 # eg Displaying 1 to 20 of 42 sections/documents
+query.displayingnumdocs:Displaying {0-startnum} to {1-endnum} of {2-totalnum} {3-level-plural}
+
+query.common:Les termes suivants sont trÃšs frÃ©quents et ont Ã©tÃ© exclus de la recherche
+
+query.results.next:Suivant
+query.results.previous:PrÃ©cÃ©dent
+
+query.facet.less:Voir moinsâŠ
+query.facet.more:Voir plusâŠ
 
 ##################
@@ -34,11 +101,46 @@
 pref.interfacelang:Langue de l'interface:
 pref.encoding:Encodage:
+pref.hitsperpage:Nombre de visites par page
+pref.maxDocs:Maximum de documents Ã  retourner
 pref.all:tous les
+pref.set_prefs:DÃ©finition des prÃ©fÃ©rences
+pref.set_prefs_help:Cliquez sur "DÃ©finir vos prÃ©fÃ©rences" si vous voulez enregistrer vos modifications
+pref.berrybasket:PanierÂ :
+pref.documentbasket:Panier de documents
+pref.on:actif
+pref.off:inactif
+pref.book:Livre en mode de visualisation
+pref.formatedit:Format mode Ã©dition
+pref.theme:ThÃšme visuel
+pref.switch_theme:Changer de thÃšme
+pref.theme_default:Greenstone par dÃ©faut
+pref.theme_custom1:Greenstone personnalisÃ© 1
+pref.theme_custom2:Greenstone personnalisÃ© 2
 ##################
 # document page
 ##################
+doc.loading:chargement
+doc.filter_pages:Pages du filtre
+doc.filter.pagenum:pagenum
+doc.filter.title:titre
+doc.highlightTooltip:Activer ou dÃ©sactiver la recherche en surbrillance des termes
+doc.realisticBooksTooltip:Activer ou dÃ©sactiver la vue âlivres rÃ©alistesâ
+doc.zoomTooltip:Activer ou dÃ©sactiver l'affichage standard des images zoomÃ©es
+doc.slideshowTooltip:Voir un diaporama des images
+doc.floatingTooltip:Fixer la table des matiÃšres sur le cÃŽtÃ© droit de l'Ã©cran
+doc.expand_doc:DÃ©velopper le document
+doc.collapse_doc:RÃ©duire le document
 doc.document:Document
+doc.back_to_top:retour au sommet
+doc.default_view:Vue par dÃ©faut
+doc.image_view:Affichage de l' image
+doc.text_view:Vue du texte
+
+doc.map_nearby_docs:Afficher les documents prÃšs d'ici
+maps.scrolllabel:Faire dÃ©filer les lieux
 
 external.title:Lien externe
+external.text:Le lien que vous avez sÃ©lectionnÃ© est externe Ã  l'une de vos collections sÃ©lectionnÃ©es. Si vous souhaitez quand mÃªme afficher ce lien et votre navigateur a accÃšs au Web, vous pouvez  {0-go-forward-link} vers cette page; autrement utiliser le bouton "retour" de votre navigateur pour revenir au document prÃ©cÃ©dent
+external.go_forward:Aller de l'avant
 
 #####################
@@ -46,23 +148,75 @@
 #####################
 
+de.rebuilding_collection:reconstruction de la collection
+de.no_changes:Pas de modifications dÃ©tectÃ©es
+de.save:Enregistrer les modifications
+de.rebuild:Reconstruire
+de.saverebuild:Enregistrer et reconstruire
+de.extract_pages:Extraire ces pages pour un document
+de.visible_metadata:MÃ©tadonnÃ©es visiblesÂ :
+de.all_metadata:Tout
+de.add_new_metadata:Ajouter de nouvelles mÃ©tadonnÃ©es
+de.no_meta_name_given:Aucune valeur donnÃ©e au nouveau nom de la mÃ©tadonnÃ©e
+de.edit_metadata:Ãditer les mÃ©tadonnÃ©es
+de.hide_metadata:masquer les mÃ©tadonnÃ©es
+de.remove:retirer
+de.edit_content:Ãditer le contenu
+de.hide_editor:Masque l'Ã©diteur
+de.save_changes:Enregistrer les modifications
+de.saving:Enregistrement
+de.enter_meta_name:Entrez un nom de mÃ©tadonnÃ©es, puis cliquez sur "Ajouter une nouvelle mÃ©tadonnÃ©es"
+de.enter_meta_dropdown:Entrez un nom de mÃ©tadonnÃ©es, ou utilisez la flÃšche vers le bas pour sÃ©lectionner l'un, puis cliquez sur "Ajouter une nouvelle mÃ©tadonnÃ©es"
 ##################
 # authentication page
 ##################
+authen.username:Nom d'utilisateur
+authen.page_not_found:Page introuvable
+authen.submit:Valider
+authen.error_failed_to_add:Erreur: Impossible d'ajouter l'utilisateur
+authen.user_added_success:Utilisateur ajoutÃ© avec succÃšs
+authen.status:Ãtat
+authen.password:Mot de passe
+authen.account_status:Etat du compte
 authen.enabled:activÃ©
 authen.disabled:dÃ©sactivÃ©
+authen.groups:Groupes
+authen.add_group:Ajouter un groupe
+authen.comment:Commentaire
+authen.email:Adresse e-mail
+authen.add_a_new_user_title:Ajouter un nouvel utilisateur
+authen.old_password:Ancien mot de passe
+authen.new_password:Nouveau mot de passe
+authen.retype_password:Retaper le mot de passe
+authen.edit_user_information:Editer les informations de l'utilisateur
 authen.list_of_current_users_title:Liste des utilisateurs actifs
+authen.delete_warning:Ãtes-vous sÃ»r de vouloir supprimer l'utilisateur
+authen.edit:Editer
+authen.delete:Supprimer
 authen.authentication:Page d'Administration
+authen.add_a_new_user:Ajouter un nouvel utilisateur
+authen.register:Enregistrer
+authen.account_settings:ParamÃštres du compte
+authen.change_password:Changer de mot de passe
+authen.reset_password:RÃ©initialiser le mot de passe
+authen.register_as_new:Enregistrer comme un nouvel utilisateur
 
 ##################
 # RSS page  #
 ###################
+rss.page_title:Fil RSS
 
 ##############
 # Basket common strings
 ####################
+basket.expand:DÃ©velopper
+basket.collapse:RÃ©duire
+basket.clear:Vider le panier
 
 ###################
 # Document basket #
 ###################
+db.doc_basket:Panier de documents
+db.access_denied:AccÃšs refusÃ©
+db.no_collection_building:Vous ne pouvez pas utiliser cette fonctionnalitÃ© de Greenstone si vous n'activez pas la construction de la collection
 
 #####################
@@ -70,2 +224,23 @@
 #####################
 
+berry.title:Panier
+berry.full_view:Affichage complet
+berry.text_view:Affichage du texte
+berry.email_view:courriel
+berry.help:Glisser dÃ©poser les baies ici pour ajouter les documents Ã  votre panier
+berry.full:Affichage complet Â»
+berry.to:Ã 
+berry.cc:CC:
+berry.bcc:BCC:
+berry.subject:ThÃšme
+berry.send:Envoyer
+berry.url_only:Affichage URL uniquement
+berry.url_and_metadata:URL et affichage de mÃ©tadonnÃ©es
+berry.empty_basket:Votre panier est vide
+berry.doc_name:ID
+berry.doc_title:titre
+berry.doc_collection:collection
+berry.doc_date:date
+berry.doc_root_title:titre principal
+berry.send_success:Envoi du courrier rÃ©ussi
+berry.send_fail:Envoi du courrier a Ã©chouÃ©
Index: /main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_fr.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_fr.properties	(revision 31107)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_fr.properties	(revision 31108)
@@ -1,12 +1,42 @@
+text:texte
+
+section\:text:le texte de la section
 document\:text:documents entiers
 section\:Title:titres des sections
+allfields:tous les champs
 Subject:Sujet
+Subject.buttonname:sujets
 Title:Titre
+Title.buttonname:titres
+Organisation:Organisation
+Organisation.buttonname:organisations
+Organization:Organisation
+Organization.buttonname:organisations
 Keyword:Mot-clÃ©
+Keyword.buttonname:mots clÃ©s
+HowTo:Comment
+HowTo.buttonname:comment
+Howto:Comment
+Howto.buttonname:comment
 Creator:CrÃ©ateur
+Creator.buttonname:crÃ©ateurs
 Date:Date
+Date.buttonname:dates
 From:De
+From.buttonname:expÃ©diteurs
 To:Pour
+To.buttonname:destinataires
+Source:Source
+Source.buttonname:noms de fichiers
 Acronym:Sigle
+Acronym.buttonname:sigles
+Topic:Sujet
+Topic.buttonname:sujets
 Collage:Collage
+Collage.buttonname:collage
+Countries:Pays
+Countries.buttonname:pays
 Language:Langue
+Language.buttonname:langues
+Artist:Artiste
+Artist.buttonname:artistes