Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default_gu.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default_gu.properties	(revision 31114)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default_gu.properties	(revision 31115)
@@ -75,5 +75,4 @@
 # eg Displaying 1 to 20 of 42 sections/documents
 
-
 query.common:àªšà«àªà«àªšàªŸ àªªàªŠà« àªàªàªŠàª® àªžàªŸàª®àªŸàªšà«àª¯ àªà« àª
 àªšà« àª¶à«àª§àª®àªŸàª àª€à«àªšà« àª§à«àª¯àªŸàªšàª®àªŸàª àª²à«àªµàªŸàª®àªŸàª àªàªµà«àª¯àªŸ àªšàª¥à«:
@@ -92,11 +91,10 @@
 pref.set_prefs_help:àªà« àª€àª®àªŸàª°à« àª€àª®à« àªàª°à«àª²àªŸ àªžà«àª§àªŸàª°àªŸàªšà« àª¬àªàªŸàªµàªµàªŸ àª¹à«àª¯ àª€à« 'àªªà«àª°àªžà«àª€à«àª€àª¿àª àªžà«àª àªàª°à«' àªªàª° àªà«àª²àª¿àª àªàª°à«.
 pref.berrybasket:àª¬à«àª° àªà«àªªàª²à«
-pref.on=àªàªŸàª²à«
-pref.off=àª¬àªàª§
+pref.on:àªàªŸàª²à«
+pref.off:àª¬àªàª§
 pref.book:àªªà«àªžà«àª€àª àªµà«àª¯à«àª
 àª° àª®à«àª¡:
 pref.formatedit:àªžà«àª§àªŸàª°àªŸ àª®à«àª¡àªšà« àª«à«àª°à«àª®à«àª àªàª°à«
 pref.theme:àªŠà«àª¶à«àª¯ àªµàª¿àª·àª¯àªµàªžà«àª€à«
-
 ##################
 # document page
@@ -164,4 +162,13 @@
 authen.reset_password:àªªàªŸàªžàªµàª°à«àª¡àªšà« àª«àª°à«àª¥à« àª€à«àª¯àªŸàª° àªàª°à«
 authen.register_as_new:àªšàªµàªŸ àª¯à«àªàª° àª€àª°à«àªà« àªšà«àªàª§àª£à« àªàª°à«
+authen.group_desc:àªžàª®à«àª¹ àªàªàª²à« àª
+àª²à«àªªàªµàª¿àª°àªŸàª®àª¥à« àª
+àª²àª àªàª°à«àª² àªžàª®à«àª¹ àªšàªŸàª®à«àªšà« àª¯àªŸàªŠà« àªà«. àªžàª®à«àª¹ àªšàªŸàª®àª®àªŸàª àªàªŸàªàªª àªàª°à«, àª
+àª¥àªµàªŸ àª¯àªŸàªŠà«àª®àªŸàªàª¥à« àªªàªžàªàªŠ àªàª°à« àª
+àªšà« 'àªžàª®à«àª¹ àªàª®à«àª°à«' àªªàª° àªà«àª²àª¿àª àªàª°à«.
+authen.admin_desc:Â 'àªàª¡àª®àª¿àªšàª¿àªžà«àªà«àª°à«àªàª°' àª¯à«àªàª° àª®à«àªšà«àªàª®à«àªšà«àªàªšà« àªàªà«àªžà«àªž àªªà«àª°à« àªªàªŸàª¡à« àªà«
+authen.all_coll_edit_desc:'àªàª²-àªàª²à«àªàª¶àªš-àªàª¡àª¿àªàª°' àª€àª®àªŸàª® àªžàªàªà«àª°àª¹à«àª®àªŸàª àªžà«àª§àªŸàª°àªŸ àªàª°àªµàªŸàªšà« àªžà«àªµàª¿àª§àªŸ àªªà«àª°à« àªªàªŸàª¡à« àªà«
+authen.pers_coll_edit_desc:àªªàª°à«àª¶àªšàª²-àªàª²à«àªàª¶àªš-àªàª¡àª¿àªàª°' àªŠà«àªµàªŸàª°àªŸ GLIàª®àªŸàª àª€à«àª¯àªŸàª° àªàª°à«àª² àª€àª®àªŸàª® àªžàªàªà«àª°àª¹à«àª®àªŸàª àªžà«àª§àªŸàª°àªŸ àªàª°à« àª¶àªàªŸàª¯ àªà«
+authen.single_coll_edit_desc:àªà«àª²àªšà«àª®-àªàª²à«àªà«àª¶àªš-àªàª¡àª¿àªàª°' àªŠà«àªµàªŸàª°àªŸ àªà«àªà«àªàªž àªžàªàªà«àª°àª¹àª®àªŸàª àªžà«àª§àªŸàª°à« àªàª°à« àª¶àªàªŸàª¯ àªà« (àªà«àª²àªšà«àª®àªšà« àªžàªàªà«àª°àª¹ àªàªàª¡à«àªšà«àªà«àª«àªŸàª¯àª° àªžàªŸàª¥à« àª°àª¿àªªà«àª²à«àªž àªàª°à«)
 
 ##################
@@ -188,8 +195,20 @@
 
 berry.title:àª¬à«àª° àªà«àªªàª²à«
-berry.view.full:àªžàªàªªà«àª°à«àª£ àªŠà«àªàªŸàªµ
-berry.view.text:àªà«àªà«àªžà«àª àªŠà«àªàªŸàªµ
-berry.view.email:àªàª®à«àªàª²
+berry.full_view:àªžàªàªªà«àª°à«àª£ àª
+àªµàª²à«àªàªš
+berry.email_view:àª-àª®à«àªàª²
 berry.help:àª€àª®àªŸàª°à« àª¬à«àª° àªà«àªªàª²à«àª®àªŸàª àªªà«àª°àª²à«àªà« àªàª®à«àª°àªµàªŸ àª¬à«àª°àªšà« àªà«àªàªà« & àª
 àª¹à«àªÂ  àªà«àª¡à«Â  àªŠà«Â 
 berry.full:àªžàªàªªà«àª°à«àª£ àªŠà«àªàªŸàªµ Â»
+berry.cc:CC:
+berry.bcc:BCC:
+berry.subject:àªµàª¿àª·àª¯:
+berry.send:àª®à«àªàª²à«
+berry.empty_basket:àª€àª®àªŸàª°à« àª¬à«àª° àªà«àªªàª²à« àªàªŸàª²à« àªà«
+berry.doc_name:àªàª.àª¡à«.
+berry.doc_title:àª¶àª¿àª°à«àª·àª
+berry.doc_collection:àªžàªàªà«àª°àª¹
+berry.doc_date:àª€àªŸàª°à«àª
+berry.doc_root_title:àª®à«àªà«àª¯ àª¶àª¿àª°à«àª·àª
+berry.send_success:àª-àª®à«àªàª² àª®à«àªàª²àªµàªŸàªšà« àªªà«àª°àªà«àª°àª¿àª¯àªŸ àªžàª«àª³ àª¬àªšà«
+berry.send_fail:àª-àª®à«àªàª² àª®à«àªàª²àªµàªŸàªšà« àªªà«àª°àªà«àª°àª¿àª¯àªŸ àªšàª¿àª·à«àª«àª³ àª¬àªšà«