Index: /main/trunk/release-kits/shared/core/language-strings/LanguagePack_fr.properties
===================================================================
--- /main/trunk/release-kits/shared/core/language-strings/LanguagePack_fr.properties	(revision 31115)
+++ /main/trunk/release-kits/shared/core/language-strings/LanguagePack_fr.properties	(revision 31116)
@@ -4,5 +4,4 @@
 # (Note: This installer has not been fully translated into all these languages yet)
 
-
 ### Intro Page ###
 page.intro.displayText:Installateur Greenstone @version@
@@ -13,14 +12,11 @@
 page.license.displayText:Licence
 
-
 ### Destination page ###
 page.destination.displayText:RÃ©pertoire d'installation
 installDir.displayText:Veuillez sÃ©lectionner un rÃ©pertoire d'installation
 
-
 ### InstallShield install detected page ###
 page.dontBudge.displayText:Ancienne version dÃ©tectÃ©e
 is-install-detected.displayText:Une installation de Greenstone2 plus ancienne que la version 2.81, ou une installation de Greenstone3 plus ancienne que la version 3.04, a Ã©tÃ© dÃ©tectÃ©e dans le rÃ©pertoire sÃ©lectionnÃ©. L'installation ne peut pas se poursuivre dans ce rÃ©pertoire.\n\nIl est vivement recommandÃ© de quitter cet installeur, de dÃ©sinstaller l'ancienne version de Greenstone, puis de recommencer cette installation. Ou bien vous pouvez retourner Ã  la page prÃ©cÃ©dente et sÃ©lectionner un rÃ©pertoire d'installation diffÃ©rent.
-
 
 ### Components Page ###
@@ -56,5 +52,4 @@
 Installing_Apache_Web_Server.explanatoryText:Pour donner accÃšs au contenu d'une bibliothÃšque numÃ©rique Greenstone, il faut un serveur web. \n Apache, un serveur web qui est logiciel libre, en est un exemple, et si cette option est sÃ©lectionnÃ©e le processus d'installation incluera ce serveur dÃ©jÃ  prÃ©-configurÃ© \n â c'est-Ã -dire prÃªt-Ã -l'emploi. \nSi vous un serveur web est dÃ©jÃ  installÃ©, vous pouvez \nchoisir de dÃ©-sÃ©lectionner cette option pour Ã©viter lâinstallation de la version prÃ©-configurÃ©e \n, cependant vous aurez besoin dâajuster les paramÃštres de configuration de \nvotre serveur web existant afin d'effectuer correctement ses liens Ã  cette installation de Greenstone. \nSi vous nâÃªtes pas certain de votre choix Ã  propos de cette option, il est recommandÃ© de la laisser sÃ©lectionnÃ©e, \npuisque le fichier de configuration qu'elle installe est un bon point de dÃ©part pour vous familiariser \navec les options de configuration requises quel que soit le serveur web existant.
 
-
 Installing_Start_Menu_Shortcuts.displayText:Raccourcis du Menu DÃ©marrer
 Installing_Start_Menu_Shortcuts.explanatoryText:CrÃ©e des raccourcis pour Greenstone@version.major@ dans votre menu DÃ©marrer
@@ -71,6 +66,7 @@
 ### Admin password page
 
+page.admin-pages.displayText:Interface d'Administration
+
 ## GS2
-page.admin-pages.displayText:Interface d'Administration
 admin-expl.displayText:L'interface d'administration de Greenstone vous permet de gÃ©rer une base de donnÃ©es d'utilisateurs,\nce qui est requis si vous souhaitez mettre en place une installation de Greenstone distante. Elle facilite Ã©galement la consultation des fichiers d'historique (logs) ainsi queÂ la modification du fichier de configuration principal 'main.cfg'.
 admin-expl-2.displayText:Voulez-vous activer l'interface d'administration de Greenstone? (La crÃ©ation d'un mot de passe vous sera demandÃ©e lors de l'Ã©tape suivante.)
@@ -79,14 +75,12 @@
 
 ## GS3
-admin3-expl.displayText=L'interface d'administration de Greenstone vous permet de gÃ©rer une base de donnÃ©es d'utilisateurs, d'activer le Greenbug pour la mise en forme des lignes de formatage Ã  l'Ã©cran, et d'activer le mode "Edition dans le navigateur" pour modifier la structure et le contenu des prÃ©sentations de documents gÃ©nÃ©rÃ©es par Greenstone.
-admin3-expl-2.displayText=Voulez-vous crÃ©er maintenant un mot de passe pour l'interface d'administration de Greenstone ? (Il vous sera demandÃ© de dÃ©finir le mot de passe lors de l'Ã©tape suivante.)
-admin3-expl-3.displayText=Sinon un compte d'administration initial avec le mot de passe admin sera crÃ©Ã©. Modifiez ce mot de passe dÃšs que possible Ã  partir de la page d'accueil de la bibliothÃšque.
-set.admin.pwd.displayText=DÃ©finir le mot de passe pour l'interface d'administration maintenant.
+admin3-expl.displayText:L'interface d'administration de Greenstone vous permet de gÃ©rer une base de donnÃ©es d'utilisateurs, d'activer le Greenbug pour la mise en forme des lignes de formatage Ã  l'Ã©cran, et d'activer le mode "Edition dans le navigateur" pour modifier la structure et le contenu des prÃ©sentations de documents gÃ©nÃ©rÃ©es par Greenstone.
+admin3-expl-2.displayText:Voulez-vous crÃ©er maintenant un mot de passe pour l'interface d'administration de Greenstone ? (Il vous sera demandÃ© de dÃ©finir le mot de passe lors de l'Ã©tape suivante.)
+admin3-expl-3.displayText:Sinon un compte d'administration initial avec le mot de passe admin sera crÃ©Ã©. Modifiez ce mot de passe dÃšs que possible Ã  partir de la page d'accueil de la bibliothÃšque.
+set.admin.pwd.displayText:DÃ©finir le mot de passe pour l'interface d'administration maintenant.
 
 page.admin-password.displayText:Veuillez crÃ©er un mot de passe Administrateur
 admin-password-expl.displayText:Afin d'accÃ©der Ã  certaines parties de l'interface de Greenstone vous avez besoin d'un mot de passe. Un utilisateur avec le nom 'admin' sera crÃ©Ã© avec le mot de passe que vous aurez choisi. Ce mot de passe doit contenir entre 3 et 20 caractÃšres.
 admin.password.displayText:Mot de passe Admin
-
-
 
 ### Tomcat config page
@@ -119,5 +113,4 @@
 
 uninstaller.will.uninstall.from:DÃ©sinstaller Greenstone Ã  partir de\:
-
 uninstaller.uninstall.options:Options de DÃ©sinstallation\:
 uninstaller.keep.collections:Garder les Collections
@@ -137,5 +130,4 @@
 uninstaller.error.couldnt.find.install.props:ERREUR\: Impossible de trouver le fichier 'installation.properties' ou 'etc/installation.properties'.\nSoit il ne s'agit pas d'une installation de Greenstone valide, soit l'installation a Ã©tÃ© corrompue.\nLa dÃ©sinstallation ne peut pas se poursuivre.
 uninstaller.warning.couldnt.create.flagfile:ATTENTION\: Impossible de crÃ©er le fichier drapeau. Vous devrez supprimer manuellement le dossier jre (peut-Ãªtre dÃ©nommÃ© JRE) et les fichiers de dÃ©sinstallation restants
-
 
 ### Ant-Installer Core strings