Index: main/trunk/gli/help/fr/help.xml
===================================================================
--- main/trunk/gli/help/fr/help.xml	(revision 30847)
+++ main/trunk/gli/help/fr/help.xml	(revision 31119)
@@ -243,5 +243,5 @@
 <Text id="105">Cette section explique comment importer des mÃ©tadonnÃ©es attribuÃ©es prÃ©cÃ©demment (c'est-Ã -dire des mÃ©tadonnÃ©es attribuÃ©es avant d'ajouter des documents Ã  la collection). </Text>
 <Text id="106">Si la mÃ©tadonnÃ©e prÃ©alablement attribuÃ©e Ã  un fichier est dans un format reconnu par l'Interface BibliothÃ©caire (c-Ã -d dans un fichier metadata.xml dans le mÃªme dossier que le document) -- par exemple, quand on choisit des documents dans une collection Greenstone existante -- elle est importÃ©e automatiquement quand on ajoute le document dans une (nouvelle) collection. Greenstone reconnaÃ®tra le fichier metadata.xml (qui n'a pas besoin d'Ãªtre ajoutÃ© Ã  la collection) et importera automatiquement les mÃ©tadonnÃ©es.</Text>
-<Text id="107">L'Interface BibliothÃ©caire invite Ã  fournir les informations nÃ©cessaires. L'invite donne de brÃšves instructions puis affiche le nom de l'Ã©lÃ©ment de mÃ©tadonnÃ©es en cours d'importation tel quâil apparaÃ®t dans le fichier source. Ce champ ne peut Ãªtre ni modifiÃ© ni remplacÃ©. Puis on choisit le jeu de mÃ©tadonnÃ©es sur lequel le nouveau Ã©lÃ©ment doit Ãªtre calquÃ© et enfin l'Ã©lÃ©ment de mÃ©tadonnÃ©es appropriÃ©. Le sytÃšme propose automatiquement le meilleur ajustement, en terme de jeu et d'Ã©lÃ©ment pour la nouvelle mÃ©tadonnÃ©e.</Text>
+<Text id="107">Pour importer les mÃ©tadonnÃ©es, celles-ci doivent correspondre aux jeux de mÃ©tadonnÃ©es disponible dans la collection. L'Interface BibliothÃ©caire invite Ã  fournir les informations nÃ©cessaires. L'invite donne de brÃšves instructions puis affiche le nom de l'Ã©lÃ©ment de mÃ©tadonnÃ©es en cours d'importation tel quâil apparaÃ®t dans le fichier source. Ce champ ne peut Ãªtre ni modifiÃ© ni remplacÃ©. Puis on choisit le jeu de mÃ©tadonnÃ©es sur lequel le nouveau Ã©lÃ©ment doit Ãªtre calquÃ© et enfin l'Ã©lÃ©ment de mÃ©tadonnÃ©es appropriÃ©. Le sytÃšme propose automatiquement le meilleur ajustement, en terme de jeu et d'Ã©lÃ©ment pour la nouvelle mÃ©tadonnÃ©e.</Text>
 <Text id="108">AprÃšs cela, on peut choisir Â«AjouterÂ» pour ajouter le nouvel Ã©lÃ©ment de mÃ©ta-donnÃ©es au jeu de mÃ©tadonnÃ©es choisi. (Ceci n'est possible que si aucun Ã©lement de mÃªme nom n'est prÃ©sent Ã  l'interieur du jeu choisi.) Â«FusionnerÂ» applique le nouvel Ã©lement Ã  celui choisi par l'utilisateur. Enfin, Â«IgnorerÂ» n'importe aucune mÃ©ta-donnÃ©e avec ce nom d'Ã©lement. Une fois prÃ©cisÃ©e la maniÃšre d'importer un certain Ã©lÃ©ment de mÃ©tadonnÃ©es, cette information est retenue pour la durÃ©e de vie de la collection.</Text>
 <Text id="109">Pour des dÃ©tails concenant les fichiers mÃ©tadonnÃ©e.xml que Greenstone utilise pour sauvegarder les mÃ©tadonnÃ©es, rÃ©fÃ©rez-vous au chapitre 2 du guide du DÃ©veloppeur de Greenstone -- Â«Exploitez vos documents au maximumÂ».</Text>
@@ -317,5 +317,5 @@
 <Text id="150">Pour enlever un filtre, sÃ©lectionnez-le dans la liste et cliquer sur Â«Supprimer filtreÂ».</Text>
 <Text id="151">Pour modifier un filtre, sÃ©lectionnez-le sur la liste, changez au moins une des valeurs apparaissant dans les contrÃŽles de rÃ©vision et cliquez sur Â«Remplacer filtreÂ» pour valider les modifications.</Text>
-<Text id="151a">DÃ©finir les filtres ne crÃ©e pas de sous-collections. Les sous-collections sont spÃ©cifiÃ©es dans <AutoText key="glidict::CDM.SubcollectionManager.Subindex_Controls"/>, sur la base des filtres que vous venez de dÃ©finir.</Text>
+<Text id="151a">DÃ©finir les filtres ne crÃ©e pas de sous-collections. Les sous-collections sont spÃ©cifiÃ©es dans l'onglet <AutoText key="glidict::CDM.SubcollectionManager.Subindex_Controls"/>, sur la base des filtres que vous venez de dÃ©finir.</Text>
 </Section>
 <Section name="assignpartitions">