Index: /main/trunk/gli/classes/dictionary_gu.properties
===================================================================
--- /main/trunk/gli/classes/dictionary_gu.properties	(revision 31128)
+++ /main/trunk/gli/classes/dictionary_gu.properties	(revision 31129)
@@ -793,4 +793,5 @@
 General.Redo_Tooltip:àª
 àªàªŸàª àªàª°à«àª² àªà«àª²à«àª²àªŸ àªžà«àª§àªŸàª°àªŸàªšà« àª°à«àªžà«àªà«àª° àªàª°à«
+General.Save:àªžà«àªµ àªàª°à«
 General.Undo:àª
 àªàªŸàªàªšàªŸ àªàª°à«àª² àªžà«àª§àªŸàª°àªŸ àª¹àª€àªŸÂ  àª€à«àªšà« àª®à«àª³ àªžà«àª¥àª¿àª€àª¿àª®àªŸàª àª°àªŸàªà«
@@ -928,4 +929,5 @@
 Menu.Edit_Cut:àªàª ({0}-x)
 Menu.Edit_Paste:àªªà«àªžà«àª ({0}-v)
+Menu.Edit_Config:collectionConfig.xmlàªšà« àªàª¡àª¿àª àªàª°à«
 Menu.Expand:àª«à«àª²à«àª¡àª° àªà«àª²à«
 Menu.Explode_Metadata_Database:àª®à«àªàªŸàª¡à«àªàªŸ àª¡à«àªàªŸàª¬à«àª àªàªà«àª·à«àªªà«àª²à«àª¡ àªàª°à«
@@ -1176,4 +1178,10 @@
 FormatConversionDialog.XML_Still_Invalid:XML àª¹àªà« àª
 àª®àªŸàªšà«àª¯ àªà«.
+
+#***** ConfigFileEditor *****
+ConfigFileEditor.Tooltip:àªà«àª°à«àªšàªžà«àªà«àªš 3 àªžàªàªà«àª°àª¹ àªàªšà«àª«àª¿àªà«àª¯à«àª°à«àª¶àªš XML àªàª¡àª¿àªàª°.
+ConfigFileEditor.Save_Tooltip:àªžà«àª§àªŸàª°àªŸ àªžà«àªµÂ  àªàª°à« àª
+àªšà« àª¬àªàª§ àªàª°à«
+ConfigFileEditor.Cancel_Tooltip:àªžà«àªµ àªàª°à«àª¯àªŸ àªµàª¿àªšàªŸ àª¬àªàª§ àªàª°à«.
 
 #**********************
@@ -1337,5 +1345,4 @@
 Workflow.LocalSourceCollectionBuilding:àªžà«àª¥àªŸàªšàª¿àª àªžà«àª°à«àªž àªžàªàªà«àª°àª¹ àª¬àª¿àª²à«àª¡à«àªàª
 Workflow.DocumentEnriching:àªªà«àª°àª²à«àª àªàªšàª°à«àª àª¥àª àª°àª¹à«àª¯à« àªà«
-
 
 #********GEMS******
@@ -1417,5 +1424,4 @@
 GEMS.NewMetadataElementNamePrompt.EmptyName_Error_Message:àªšàªµàªŸ àªàª²àª¿àª®à«àªšà«àªàªšà« àªšàªŸàª® àª¹à«àªµà«àª àª àªà«àªàª.
 
-
 GEMS.No_Set_Loaded:àªà«àª àª®à«àªàªŸàª¡à«àªàªŸ àªžà«àª àª²à«àª¡ àªàª°à«àª² àªšàª¥à«. àªà«àªªàªŸ àªàª°à« File-&gt;New àªšà« àªàªªàª¯à«àª àªšàªµà« àªžà«àª àª€à«àª¯àªŸàª° àªàª°àªµàªŸ àªàª°à«, àª
 àª¥àªµàªŸ File-&gt;Open àªšà« àªàªªàª¯à«àª àª¹àª¯àªŸàª€ àªžà«àªàªšà« àªà«àª²àªµàªŸ àªàª°à«.
Index: /main/trunk/greenstone2/macros/gujarati2.dm
===================================================================
--- /main/trunk/greenstone2/macros/gujarati2.dm	(revision 31128)
+++ /main/trunk/greenstone2/macros/gujarati2.dm	(revision 31129)
@@ -5,5 +5,4 @@
 # -- this file contains text that is of less importance
 ######################################################################
-
 
 ######################################################################
@@ -68,7 +67,5 @@
 }
 
-
 _textdescrselcol_ [l=gu] {àªžàªàªà«àª°àª¹ àªªàªžàªàªŠ àªàª°à«}
-
 
 ######################################################################
@@ -77,5 +74,4 @@
 ######################################################################
 
-
 #------------------------------------------------------------
 # text macros
@@ -95,5 +91,4 @@
 package extlink
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -120,10 +115,8 @@
 àªàªŸàªàªšàªŸ àªªà«àª°àª²à«àª àªªàª°àª€ àªàªµàªµàªŸ àª®àªŸàªà« àª€àª®àªŸàª°àªŸ àª¬à«àª°àªŸàªàªàª°àªšà«àª "àªªàªŸàªàª³" àª¬àªàªšàªšà« àªàªªàª¯à«àª àªàª°à«. }
 
-
 ######################################################################
 # authentication page
 package authen
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -152,10 +145,8 @@
 àªšà«àªžàª°à«àª¯àªŸ àªà« àª€à« àª¹àªµà« àªàªªàª¯à«àª àª®àªŸàª àªšàª¥à«. àª àªªàªŸàªšàªŸ àª®àªŸàª  àªªà«àª°àªµà«àª¶ àªàª°àªµàªŸ àª€àª®àªŸàª°à« àªªàªŸàªžàªµàª°à«àª¡ àªŠàªŸàªàª² àªàª°à«.}
 
-
 ######################################################################
 # 'docs' page 
 package docs
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -221,5 +212,4 @@
 àªà«àªàª€à« àª­à«àª² àªà«àªµàªŸ àª®àª³à«.}
 
-
 _textblcont_ [l=gu] {àª¬àª¿àª²à«àª¡ àª²à«àª àªšà«àªà«àªšà« àª®àªŸàª¹àª¿àª€à« àª§àª°àªŸàªµà« àªà«:}
 
@@ -228,6 +218,4 @@
 package collector
 ######################################################################
-
-
 
 #------------------------------------------------------------
@@ -377,8 +365,6 @@
 _textreset_ [l=gu] {àªªà«àªšàª àªµà«àª¯àªµàªžà«àª¥àª¿àª€ (àª°àª¿àªžà«àª) àªàª°à«}
 
-
 _texttryagain_ [l=gu] {àªà«àªªàªŸ àªàª°à«  <a href="_httppagecollector_" target=_top> àªžàªàªà«àª°àªŸàª¹àª àªªà«àªšàª àªàªŸàª²à« àªàª°à« </a>àª
 àªšà« àª¬à«àªà« àªµàªŸàª° àªªà«àª°àª¯àª€à«àªš àªàª°à«.}
-
 
 _textretcoll_ [l=gu] {àªžàªàªà«àª°àªŸàª¹àª àªªàª° àªªàªŸàªàªŸ àªàªŸàªµ}
@@ -428,5 +414,4 @@
 package depositor
 ######################################################################
-
 
 _textdepositorblurb_ [l=gu] {<p>àªšà«àªà«àªšà« àª«àªŸàªàª²àªšà« àª®àªŸàª¹àª¿àª€à« àªšàªà«àªà« àªàª°à« àª
@@ -451,5 +436,4 @@
 _textretcoll_ [l=gu] {àª¡àª¿àªªà«àªàª¿àªàª°àª®àªŸàª àªªàªŸàªàªŸ àªàªµà«}
 
-
 _texttmpfail_ [l=gu] {àª¡àª¿àªªà«àªàª¿àªàª° àª¹àªàªàªŸàª®à« àª«àªŸàªàª² àª
 àª¥àªµàªŸ àª¡àª¿àª°à«àªàªàª°à« àª®àªŸàªàª¥à« àªµàªŸàªàªàªµàªŸ àª
@@ -459,5 +443,4 @@
 </ul>}
 
-
 ######################################################################
 # 'gsdl' page
@@ -465,9 +448,7 @@
 ######################################################################
 
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _textgreenstone1_ [l=gu] {àªà«àª°à«àªš àªžà«àªà«àªš àª àªžà«àª«à«àªàªµà«àª°àªšà« àªàª àªàªµà« àªà«àª¡ àªà« àªà« àª€à«àª®àªŸ àª¡àª¿àªà«àªàª² àªà«àª°àªàª¥àªŸàª²àª¯ àªžàªàªà«àª°àª¹à« àªªàª° àªàªŸàª® àªàª°àªµàªŸàªšà« àª
@@ -552,5 +533,4 @@
 ######################################################################
 
-
 #------------------------------------------------------------
 # text macros
@@ -567,5 +547,4 @@
 _textdeleteuser_ [l=gu] {àª°àªŠ àªàª°à«}
 
-
 ######################################################################
 # 'users' page
@@ -573,9 +552,7 @@
 ######################################################################
 
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _textedituser_ [l=gu] {àªàªªàª­à«àªà«àª€àªŸ àª®àªŸàª¹àª¿àª€à« àªžà«àª§àªŸàª°à«}
@@ -615,5 +592,4 @@
 àªšà« <b>àª€àª®àªŸàª®</b> àªžàªàªà«àª°àª¹à« àªžà«àª§àªŸàª°àªŸ àªàª°àªµàªŸàªšà« àªªàª°àªµàªŸàªšàªà« àªàªªà« àªà«. </ul>}
 
-
 ######################################################################
 # 'users' page
@@ -621,5 +597,4 @@
 ######################################################################
 
-
 #------------------------------------------------------------
 # text macros
@@ -629,10 +604,8 @@
 _textremwarn_ [l=gu] {àª€àª®à« àªàª°à«àªàª° <b>_cgiargumunHtmlsafe_</b> àªàªªàª­à«àªà«àª€àªŸàªšà« àªàªŸàª¯àª® àª®àªŸàªà« àªŠà«àª° àªàª°àªµàªŸ àª®àªŸàªàªà« àªà« ?}
 
-
 ######################################################################
 # 'users' page
 package userschangepasswd
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -645,5 +618,4 @@
 _textretype_ [l=gu] {àªšàªµà« àªªàªŸàªžàªµàª°à«àª¡ àª¬à«àªà«àªµàªŸàª° àªàªŸàªàªª àªàª°à«.}
 
-
 ######################################################################
 # 'users' page
@@ -651,5 +623,4 @@
 ######################################################################
 
-
 #------------------------------------------------------------
 # text macros
@@ -657,5 +628,4 @@
 
 _textsuccess_ [l=gu] {àª€àª®àªŸàª°à« àªªàªŸàªžàªµàª°à«àª¡ àªžàª«àª³àª€àªŸ àªªà«àª°à«àªµàª àª¬àªŠàª²àªµàªŸàª®àªŸàª àªàªµà«àª¯à«.}
-
 
 ######################################################################
@@ -663,5 +633,4 @@
 package users
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -687,5 +656,4 @@
 àª¥àªµàªŸ àªªàªŸàªžàªµàª°à«àª¡ àªà«àªà« àª¹àª€à«.}
 
-
 ######################################################################
 # 'status' pages
@@ -693,9 +661,7 @@
 ######################################################################
 
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
 
 _textversion_ [l=gu] {àªà«àª°à«àªšàªžà«àªà«àªš àªžàªàªžà«àªàª°àª£ àªšàªàª¬àª°}
@@ -744,10 +710,8 @@
 àªªàª¡à«àª àª¥àª àªàª àªà«}
 
-
 ######################################################################
 # 'bsummary' pages
 package bsummary
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -799,5 +763,5 @@
 _textcharacterise_ [l=gu] {àª àªàª¯àªŸ àªªà«àª°àªàªŸàª°àªšà« àªžàª®àªžà«àª¯àªŸ àªà«.}
 _textseverity_ [l=gu] {àª àªžàª®àªžà«àª¯àªŸ àªà«àªàª²à« àªàª°àªŸàª¬ àªà«.}
- 
+
 _textbadrender_ [l=gu] {àªªà«àª·à«àª  àªµàª¿àªàª¿àª€à«àª° àª²àªŸàªà« àªà«.}
 _textcontenterror_ [l=gu] {àªµàª¿àª·àª¯àªµàªžà«àª€à«àªšà« àªàªžà«àª°}
@@ -822,5 +786,4 @@
 _textusabbanner_ [l=gu] {the Greenstone koru-style banner}
 
-
 ######################################################################
 # GTI text strings
@@ -828,9 +791,8 @@
 ######################################################################
 
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-	
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
 _textgtierror_ [l=gu] {àªàªžà«àª° àªà«àªµàªŸ àª®àª³à«}
 
@@ -943,6 +905,4 @@
 àªšà«àªµàªŸàªŠ àªàª°à« àªšàªŸàªà«àª¯à« àª¹à«àª¯ àª€à« àª€à« .xls àª«àªŸàªàª²àªšà« <a href="mailto:_gtiadministratoremail_">_gtiadministratoremail_</a> àªšà« àªàª®à«àªàª² àªàª°à«</ol>}
 
-
-
 ############
 # gli page
Index: /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_gu.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_gu.properties	(revision 31128)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_gu.properties	(revision 31129)
@@ -27,5 +27,4 @@
 PhindApplet.name:àª¶àª¬à«àªŠàªžàª®à«àª¹ àª¬à«àª°àªŸàªàª àªàª°à«
 PhindApplet.description:Java applet àªàªà«àªžàªà«àª°à«àªà«àª àªàª°à«àª² àª¶àª¬à«àªŠàªžàª®à«àª¹àªšà« àª¹àªŸàª¯àª°àªŸàª°à«àªà« àª¬à«àª°àªŸàªàª àªàª°àªµàªŸ àª®àªŸàªà«àªšà« àªªàª°àªµàªŸàªšàªà« àªàªªà« àªà«
-
 
 # search parameters
@@ -112,6 +111,4 @@
 param.rnpw:àªšàªµà« àªªàªŸàªžàªµàª°à«àª¡ àª¬à«àªà«àªµàªŸàª° àªàªŸàªàªª àªàª°à«.
 
-
-
 ## CrossCollectionSearch specific strings
 CrossCollectionSearch.TextQuery.name:àªàª àª àªžàª®àª¯à« àªàª àªàª°àª€àªŸ àªµàª§àªŸàª°à« àªžàªàªà«àª°àª¹àª®àªŸàªÂ  àª¶à«àª§
@@ -123,5 +120,4 @@
 CrossCollectionSearch.param.maxDocs:àªŠàª° àªžàªàªà«àª°àª¹ àªŠà«àª  àªµàª§àªŸàª°à«àª®àªŸàª àªµàª§àªŸàª°à« àªªà«àª°àª²à«àªà«àªšà« àªžàªàªà«àª¯àªŸ
 
-
 ## LuceneSearch specific strings
 LuceneSearch.TextQuery.name:àª¶à«àª§
Index: /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_gu.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_gu.properties	(revision 31128)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_gu.properties	(revision 31129)
@@ -45,4 +45,8 @@
 home.no_collections:àª àª²àªŸàªàª¬à«àª°à«àª°à«àª®àªŸàª àªàªàªªàª£ àª®àªŸàªšà«àª¯ àªžàªàªà«àª°àª¹à« àªšàª¥à«
 #***** logged in menu
+menu.account_settings:àªàªàªŸàªàªšà«àª àªžà«àªàª¿àªàªà«àªž
+menu.enable_edit_mode:àªàª¡àª¿àª àª®à«àª¡àªšà« àªžàªà«àª°àª¿àª¯ àªàª°à«
+menu.disable_edit_mode:àªàª¡àª¿àª àª®à«àª¡àªšà« àªšàª¿àª·à«àªà«àª°àª¿àª¯ àªàª°à«
+menu.logout:àª²à«àªàªàªàª
 
 ######################
@@ -68,4 +72,11 @@
 query.docsreturned:{0-numdocs} {1-level-plural} àª®àª³à«àª¯àªŸ.
 
+query.termoccurs.0:'{0-àªàª°à«àª®}' 0-àªµàªàª€ àª¥àªŸàª¯ àªà«
+query.termoccurs.1:'{0-àªàª°à«àª®}' 1-àªµàªàª€ àª¥àªŸàª¯ àªà«
+query.termoccurs.x:'{0-àªàª°à«àª®}'Â  {1-termfreq} àªµàªàª€ àª¥àªŸàª¯ àªà«
+
+query.termoccurs.x.1:1 {3-àªžà«àª€àª°-àªàªà«}àª®àªŸàª '{0-àªàª°à«àª®}' {1-termfreq} àªµàªàª€ àª¥àªŸàª¯ àªà«
+query.termoccurs.x.x:{2-numdocs} {3-àªžà«àª€àª°-àª¬àª¹à«àªµàªàªš}àª®àªŸàª '{0-àªàª°à«àª®}'Â  {1-termfreq} àªµàªàª€ àª¥àªŸàª¯ àªà«
+
 query.document:àªªà«àª°àª²à«àª
 query.document_plural:àªªà«àª°àª²à«àªà«
@@ -74,7 +85,15 @@
 
 # eg Displaying 1 to 20 of 42 sections/documents
+query.displayingnumdocs:àª¡àª¿àªžà«àªªà«àª²à«  àªàª°à« àª°àª¹à«àª¯à«àª àªà« {2-totalnum} {3-àªžà«àª€àª°-àª¬àª¹à«àªµàªàªš} àªšàªŸ {0-startnum} àª¥à« {1-endnum}
 
 query.common:àªšà«àªà«àªšàªŸ àªªàªŠà« àªàªàªŠàª® àªžàªŸàª®àªŸàªšà«àª¯ àªà« àª
 àªšà« àª¶à«àª§àª®àªŸàª àª€à«àªšà« àª§à«àª¯àªŸàªšàª®àªŸàª àª²à«àªµàªŸàª®àªŸàª àªàªµà«àª¯àªŸ àªšàª¥à«:
+
+query.results.next:àª¹àªµà« àªªàªà«àªšà«àª
+query.results.previous:àª
+àªàªŸàªàªšà«
+
+query.facet.less:àª¥à«àª¡à«àª àªà«àªâŠ
+query.facet.more:àªµàª§àªŸàª°à« àªà«àªâŠ
 
 ##################
@@ -90,11 +109,16 @@
 pref.set_prefs:àªªà«àª°àªžà«àª€à«àª€àª¿àª àªžà«àª àªàª°à«
 pref.set_prefs_help:àªà« àª€àª®àªŸàª°à« àª€àª®à« àªàª°à«àª²àªŸ àªžà«àª§àªŸàª°àªŸàªšà« àª¬àªàªŸàªµàªµàªŸ àª¹à«àª¯ àª€à« 'àªªà«àª°àªžà«àª€à«àª€àª¿àª àªžà«àª àªàª°à«' àªªàª° àªà«àª²àª¿àª àªàª°à«.
-pref.berrybasket:àª¬à«àª° àªà«àªªàª²à«
+pref.berrybasket:àª¬à«àª° àªà«àªªàª²à«:
+pref.documentbasket:àªªà«àª°àª²à«àª àªà«àªªàª²à«:
 pref.on:àªàªŸàª²à«
 pref.off:àª¬àªàª§
 pref.book:àªªà«àªžà«àª€àª àªµà«àª¯à«àª
 àª° àª®à«àª¡:
-pref.formatedit:àªžà«àª§àªŸàª°àªŸ àª®à«àª¡àªšà« àª«à«àª°à«àª®à«àª àªàª°à«
-pref.theme:àªŠà«àª¶à«àª¯ àªµàª¿àª·àª¯àªµàªžà«àª€à«
+pref.formatedit:àªžà«àª§àªŸàª°àªŸ àª®à«àª¡àªšà« àª«à«àª°à«àª®à«àª àªàª°à«:
+pref.theme:àªŠà«àª¶à«àª¯ àªµàª¿àª·àª¯àªµàªžà«àª€à«:
+pref.switch_theme:àªžà«àªµàª¿àª àª¥à«àª®
+pref.theme_default:àªà«àª°à«àªšàªžà«àªà«àªš àª¡àª¿àª«à«àª²à«àª
+pref.theme_custom1:àªà«àª°à«àªšàªžà«àªà«àªš àªàªžà«àªàª® 1
+pref.theme_custom2:àªà«àª°à«àªšàªžà«àªà«àªš àªàªžà«àªàª® 2
 ##################
 # document page
@@ -102,4 +126,6 @@
 doc.loading:àª²à«àª¡ àª¥àª àª°àª¹à«àª¯à«àª àªà«
 doc.filter_pages:àªªàªŸàªšàªŸàª àª«àª¿àª²à«àªàª° àªàª°à«
+doc.filter.pagenum:àªªàªŸàªšàªŸàªšàªàª¬àª°
+doc.filter.title:àª¶àª¿àª°à«àª·àª
 doc.highlightTooltip:àª¶à«àª§ àªªàªŠ àª¹àªŸàªàª²àªŸàªàª àªàª°àªµàªŸàªšàªŸ àªµàª¿àªàª²à«àªªàªšà« àªžàªà«àª°àª¿àª¯ àª
 àª¥àªµàªŸ àªšàª¿àª·à«àªà«àª°àª¿àª¯ àªàª°à«
@@ -110,7 +136,14 @@
 doc.floatingTooltip:àªžà«àªà«àª°à«àªšàªšà« àªàª®àª£à« àª¬àªŸàªà« àª
 àªšà«àªà«àª°àª®àª£àª¿àªàªŸàªšà« àªà«àª àªµà«
+doc.expand_doc:àªªà«àª°àª²à«àªàªšà« àªµàª¿àªžà«àª€à«àª€ àªàª°à«
+doc.collapse_doc:àªªà«àª°àª²à«àªàªšà« àªžàªàªà«àªàª¿àª€ àªàª°à«
 doc.document:àªªà«àª°àª²à«àªà«
 doc.back_to_top:àªªàªŸàªàª³àª¥à« àªà«àª àªžà«àª§à«
-
+doc.default_view:àª¡àª¿àª«à«àª²à«àª àªµà«àª¯à«
+doc.image_view:àªàª®à«àª àªµà«àª¯à«
+doc.text_view:àªà«àªà«àªžà«àª àªµà«àª¯à«
+
+doc.map_nearby_docs:àª
+àª¹à«àª àªªà«àª°àª²à«àªà«àªšà« àªšàªà«àª àªŠàª°à«àª¶àªŸàªµà«
 maps.scrolllabel:àªžà«àª¥àª³à«àª¥à« àªžà«àªà«àª°à«àª² àªàª°à«
 
@@ -125,8 +158,26 @@
 #####################
 
+de.rebuilding_collection:àªžàªàªà«àª°àª¹ àªªà«àªš:àª¬àª¿àª²à«àª¡ àª¥àª àª°àª¹à«àª¯à«àª àªà«
+de.no_changes:àªà«àª àªžà«àª§àªŸàª°à« àªà«àªµàªŸ àª®àª³à«àª¯à« àªšàª¥à«
+de.save:àªžà«àª§àªŸàª°àªŸàªàªšà« àªžà«àªµ àªàª°à«
+de.rebuild:àªªà«àªš: àª¬àª¿àª²à«àª¡ àªàª°à«
+de.saverebuild:àªžà«àªµ àªàª°à« àª
+àªšà« àªªà«àªš: àª¬àª¿àª²à«àª¡ àªàª°à«
+de.extract_pages:àª àªªà«àª°àª²à«àªàª®àªŸàªàª¥à« àª àªªàªŸàªšàªŸàª àªàªà«àªžàªà«àª°à«àªà«àª àªàª°à«
+de.visible_metadata:àªŠà«àª°àª¶à«àª¯àª®àªŸàªš àª®à«àªàªŸàª¡à«àªàªŸ:
 de.all_metadata:àª€àª®àªŸàª®x
 de.add_new_metadata:àªšàªµà« àª®à«àªàªŸàª¡à«àªàªŸ àªàª®à«àª°à«
+de.no_meta_name_given:àªšàªµàªŸ àª®à«àªàªŸàª¡à«àªàªŸ àª®àªŸàªà« àªà«àª àªµà«àª²à«àª¯à« àªàªªàªµàªŸàª®àªŸàª àªàªµà« àªšàª¥à«
 de.edit_metadata:àª®à«àªàªŸàª¡à«àªàªŸ àªžà«àª§àªŸàª°à«
+de.hide_metadata:àª®à«àªàªŸàª¡à«àªàªŸàªšà« àªà«àªªàªŸàªµà«
+de.remove:àªŠà«àª° àªàª°à«
 de.edit_content:àªàªšà«àªà«àªšà«àª àªžà«àª§àªŸàª°à«
+de.hide_editor:àªàª¡àª¿àªàª°àªšà« àªà«àªªàªŸàªµà«
+de.save_changes:àªžà«àª§àªŸàª°àªŸàªàªšà« àªžà«àªµ àªàª°à«
+de.saving:àªžà«àªµ àª¥àª àª°àª¹à«àª¯à«àª àªà«
+de.enter_meta_name:àª®à«àªàªŸàª¡à«àªàªŸ àªšàªŸàª® àªŠàªŸàªàª² àªàª°à«, àªªàªà« àªšàªµàªŸ àª®à«àªàªŸàª¡à«àªàªŸÂ  àªàª®à«àª°à«' àªªàª° àªà«àª²àª¿àª àªàª°à«
+de.enter_meta_dropdown:àª®à«àªàªŸàª¡à«àªàªŸ àªšàªŸàª® àªŠàªŸàªàª² àªàª°à«, àª
+àª¥àªµàªŸ àªà«àªàªªàª£ àª®à«àªàªŸàª¡à«àªàªŸ àªªàªžàªàªŠ àªàª°àªµàªŸ àª¡àªŸàªàªš àªàª°à«àªšà« àªàªªàª¯à«àª àªàª°à«, àªªàªà«' àªšàªµàªŸ àª®à«àªàªŸàª¡à«àªàªŸÂ  àªàª®à«àª°à«' àªªàª° àªà«àª²àª¿àª àªàª°à«
+de.top_level_menu:àªžà«àª¥à« àªàªªàª°àªšà«àª àª®à«àªšà«
 ##################
 # authentication page
@@ -175,4 +226,5 @@
 # RSS page  #
 ###################
+rss.page_title:RSS Feed
 
 ##############
@@ -197,12 +249,17 @@
 berry.full_view:àªžàªàªªà«àª°à«àª£ àª
 àªµàª²à«àªàªš
+berry.text_view:àªà«àªà«àªžà«àª àªµà«àª¯à«
 berry.email_view:àª-àª®à«àªàª²
 berry.help:àª€àª®àªŸàª°à« àª¬à«àª° àªà«àªªàª²à«àª®àªŸàª àªªà«àª°àª²à«àªà« àªàª®à«àª°àªµàªŸ àª¬à«àª°àªšà« àªà«àªàªà« & àª
 àª¹à«àªÂ  àªà«àª¡à«Â  àªŠà«Â 
 berry.full:àªžàªàªªà«àª°à«àª£ àªŠà«àªàªŸàªµ Â»
+berry.to:àª¥à«:
 berry.cc:CC:
 berry.bcc:BCC:
 berry.subject:àªµàª¿àª·àª¯:
 berry.send:àª®à«àªàª²à«
+berry.url_only:àª®àªŸàª€à«àª° URL àªµà«àª¯à«
+berry.url_and_metadata:URL àª
+àªšà« àª®à«àªàªŸàª¡à«àªàªŸ àªµà«àª¯à«
 berry.empty_basket:àª€àª®àªŸàª°à« àª¬à«àª° àªà«àªªàª²à« àªàªŸàª²à« àªà«
 berry.doc_name:àªàª.àª¡à«.
Index: /main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_gu.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_gu.properties	(revision 31128)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_gu.properties	(revision 31129)
@@ -1,3 +1,6 @@
 text:àªà«àªà«àªžà«àª
+section\:text:àªžà«àªà«àªžàªš àªà«àªà«àªžà«àª
+document\:text:àªžàªàªªà«àª°à«àª£ àªªà«àª°àª²à«àªà«
+section\:Title:àªžà«àªà«àªžàªš àªà«àªà«àªžà«àª
 allfields:àª¬àª§àªŸ àª«àª¿àª²à«àª¡
 Subject:àªµàª¿àª·àª¯