Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 31040)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 31143)
@@ -2344,7 +2344,6 @@
 &lt;Section&gt;<br/>
   <Tab n="1"/>&lt;Description&gt;<br/>
-      <Tab n="2"/>&lt;Metadata name="Title"&gt;What do <br/>
-	    <Tab n="2"/>you need to start?&lt;/Metadata&gt;<br/>
-    <Tab n="1"/>&lt;/Description&gt;<br/>
+    <Tab n="2"/>&lt;Metadata name="Title"&gt;What do you need to start?&lt;/Metadata&gt;<br/>
+  <Tab n="1"/>&lt;/Description&gt;<br/>
 --&gt;
 </Format>
@@ -4590,5 +4589,5 @@
 <MajorVersion number="3">
 <Text id="oaiserver-22">Greenstone 3's OAI implementation uses the OAI standard for Dublin Core, <AutoText text="oai_dc" type="italics"/>, metadata format. By default, it maps all Dublin Core metadata you may have assigned to your collections into <AutoText text="oai_dc" type="italics"/>. This default mapping is specified in the <Path>web\WEB-INF\classes\OAIConfig.xml</Path> file. If all (or most) of your collections will be using a different metadata format, you can edit the OAIConfig.xml file's <Format>elementList</Format> section to create mappings from the metadata fields you're using to those in <AutoText text="oai_dc" type="italics"/>. You can also specify mappings at a collection-level, overriding the mappings in OAIConfig.xml for that collection. So if a collection specifies metadata for a different metadata set format from the default mappings in OAIConfig.xml, adjust the collection's <Path>web\sites\localsite\collect\&lt;collection-name&gt;\etc\collectionConfig.xml</Path> file to tell Greenstone how to map the metadata fields of your chosen metadata set format into the <AutoText text="oai_dc" type="italics"/> Dublin Core metadata set supported by the Greenstone OAI server.</Text>
-<Text id="oaiserver-23">For instance, look in the <b>demo</b> collection's collectionConfig.xml file (<Path>web\sites\localsite\collect\lucene-jdbm-demo\etc\collectionConfig.xml</Path>) and scroll down to the definition for the <Format>OAIPMH</Format> ServiceRack. Look at its section of <Format>element mappings</Format>, which will explain and provide an example for how to specify such an oai mapping from the <AutoText text="DLS" type="italics"/> metadata format that the <b>demo</b> collection uses, to the Dublin Core (<AutoText text="oai_dc" type="italics"/>) metadata used by Greenstone's OAI server. Its <AutoText key="metadata::dls.Organization"/> metadata is mapped to <AutoText text="oai_dc.publisher"/> using the following line in the collectionConfig.xml configuration file (note the use of case):</Text>
+<Text id="oaiserver-23">For instance, look in the <b>demo</b> collection's collectionConfig.xml file (<Path>web\sites\localsite\collect\lucene-jdbm-demo\etc\collectionConfig.xml</Path>) and scroll down to the definition for the <Format>OAIPMH</Format> ServiceRack. Look at its <Format>ListMetadataFormats</Format> section containing element mappings, which will explain and provide an example for how to specify such an oai mapping from the <AutoText text="DLS" type="italics"/> metadata format that the <b>demo</b> collection uses, to the Dublin Core (<AutoText text="oai_dc" type="italics"/>) metadata used by Greenstone's OAI server. Its <AutoText key="metadata::dls.Organization"/> metadata is mapped to <AutoText text="oai_dc.publisher"/> using the following line in the collectionConfig.xml configuration file (note the use of case):</Text>
 <Format>&lt;element name=&quot;dc:publisher&quot;&gt;<br />
 <Tab n="1"/>&lt;mapping elements=&quot;dls.Organization&quot; /&gt;<br />
@@ -4642,8 +4641,8 @@
 <MajorVersion number="3">
 <NumberedItem>
-<Text id="gs-oai-3-3">For this exercise, we will be visiting the <b>Open Archives Validator</b>, for which your OAIserver needs to provide a valid email address. In a text editor, open up your Greenstone installation's <AutoText text="resources/oai/OAIConfig.xml" type="italics"/> file. Set the value of the <Format>adminEmail</Format> element to the email address where the validation results are to be sent. Also set the <Format>repositoryId</Format> element (OAI repositoryIdentifier). The structure of its value is like a domain name and needs to be of the form of <Format>word-dot-extension</Format>, such as "greenstone.org". For more information on the structure of its value, see <Link>http://www.openarchives.org/OAI/2.0/guidelines-oai-identifier.htm</Link>. (If you wanted to additionally test the behaviour of the <Format>resumptionToken</Format> against the OAI Validator, you would set the <Format>resumeAfter</Format> element to a low value like 5).</Text> 
-</NumberedItem>
-<NumberedItem>
-<Text id="gs-oai-3-4">Restart the Greenstone 3 server if it was running. Otherwise, go to <Menu>Start &rarr; Greenstone &rarr; Greenstone3 Server</Menu> to start up the server. When the library home page opens in your browser, change the library suffix in the URL to <Format>oaiserver</Format>, which is the baseURL of your OAI Server and would be of the form <Format>http://domain/greenstone3/oaiserver</Format>. Copy this URL and visit <Link>http://www.openarchives.org/Register/ValidateSite</Link>.</Text>
+<Text id="gs-oai-3-3">For this exercise, we will be visiting the <b>Open Archives Validator</b>, for which your OAIserver needs to provide a valid email address. In a text editor, open up your Greenstone installation's <AutoText text="resources/oai/OAIConfig.xml" type="italics"/> file. Set the value of the <Format>adminEmail</Format> element to the email address where the validation results are to be sent. Also set the OAI <Format>repositoryIdentifier</Format> element. The structure of its value is like a domain name and needs to be of the form of <Format>word-dot-extension</Format>, such as "greenstone.org". For more information on the structure of its value, see <Link>http://www.openarchives.org/OAI/2.0/guidelines-oai-identifier.htm</Link>. (If you wanted to additionally test the behaviour of the <Format>resumptionToken</Format> against the OAI Validator, you would set the <Format>resumeAfter</Format> element to a low value like 5).</Text> 
+</NumberedItem>
+<NumberedItem>
+<Text id="gs-oai-3-4">Start up the Greenstone 3 server application, or quit and relaunch it if it was running. Otherwise, go to <Menu>Start &rarr; Greenstone &rarr; Greenstone3 Server</Menu> to start up the server. When the library home page opens in your browser, change the library suffix in the URL to <Format>oaiserver</Format>, which is the baseURL of your OAI Server and would be of the form <Format>http://domain/greenstone3/oaiserver</Format>. Copy this URL and visit <Link>http://www.openarchives.org/Register/ValidateSite</Link>.</Text>
 </NumberedItem>
 </MajorVersion>
@@ -4668,5 +4667,5 @@
 </Heading>
 <NumberedItem>
-<Text id="gli-oai-2"><MajorVersion number="3">Quit any running Greenstone installations. </MajorVersion>Launch GLI. This should launch the Greenstone server as well,<MajorVersion number="2"> if this is not already running,</MajorVersion> so that the OAI server is also up and running.</Text>
+<Text id="gli-oai-2"><MajorVersion number="3">Quit any running Greenstone applications. </MajorVersion>Launch GLI. This should launch the Greenstone server as well,<MajorVersion number="2"> if this is not already running,</MajorVersion> so that the OAI server is also up and running.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -4711,5 +4710,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="oai-11a">Start up the Greenstone server again.</Text>
+<Text id="oai-11a">Start up the Greenstone server application.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -4760,5 +4759,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="gli-oai-15">Open GLI, locate files you downloaded over OAI and drag and drop these into a new Greenstone collection called <AutoText text="OAI Collection" />.<MajorVersion number="2"> Because there are <Format>*.oai</Format> files among those downloaded, GLI will offer to add the <AutoText text="OAIPlugin"/>. <!--You may wish to go to the <AutoText key="glidict::GUI.Design"/> panel and remove the <AutoText text="EmbeddedMetadataPlugin"/> from the list of <AutoText key="glidict::CDM.GUI.Plugins"/> to speed up building.--></MajorVersion></Text>
+<Text id="gli-oai-15">Open GLI, locate the files you downloaded over OAI and drag and drop these into a new Greenstone collection called <AutoText text="OAI Collection" />.<MajorVersion number="2"> Because there are <Format>*.oai</Format> files among those downloaded, GLI will offer to add the <AutoText text="OAIPlugin"/>. <!--You may wish to go to the <AutoText key="glidict::GUI.Design"/> panel and remove the <AutoText text="EmbeddedMetadataPlugin"/> from the list of <AutoText key="glidict::CDM.GUI.Plugins"/> to speed up building.--></MajorVersion></Text>
 </NumberedItem>
 <NumberedItem>
@@ -5305,5 +5304,5 @@
 <Version initial="3.08" current="3.08"/>
 <Content>
-<Text id="ic-00">To allow you to quickly try out and experiment with our tutorial exercises, we tend to keep the number of sample files small. Every time you rebuild these collections, for simplicity, the default settings used in Greenstone means that the previous version built is removed in its entirety. We refer to this as a <i>full-rebuilding</i>. When building larger collections, this is inefficient.</Text>
+<Text id="ic-00">To allow you to quickly try out and experiment with our tutorial exercises, we tend to keep the number of sample files small. Every time you rebuild these collections, for simplicity, the default settings used in Greenstone mean that the previous version built is removed in its entirety. We refer to this as a <i>full-rebuild</i>. When building larger collections, this is inefficient.</Text>
 <Text id="ic-00a">Greenstone also has the ability to rebuild collections <i>incrementally</i>: this means the previous version of the collection is retained and only the changes detected need to be incorporated. There are, however, quite a few aspects to incremental building to control. This is the focus of this tutorial exercise.</Text>
 <Text id="ic-00b">To gain the best level of understanding, this tutorial builds collections using the command line.</Text>
@@ -5323,5 +5322,5 @@
 <Text id="ic-04b">Edit it to refer to the full filenames instead of directory names:</Text>
 <Format>&lt;importOption name=&quot;OIDtype&quot; value=&quot;full_filename&quot;/&gt;</Format>
-<Text id="ic-04c">The above step sets the identifiers used by Greenstone for this collection's documents to be based on their full filenames. Doing so will allow us to refer to the files by name in the &lt;Filename&gt; elements of any manifest file we use for incrementally building the collection. These &lt;Filename&gt; elements will then identify which files are to be indexed if newly added, which are to be deleted, and which to be re-indexed (as should happen if a document or its metadata has been edited).</Text>
+<Text id="ic-04c">The above step sets the identifiers used by Greenstone for this collection's documents to be based on their full filenames. Doing so will allow us to refer to the files by name in the &lt;Filename&gt; elements of any manifest file we use for incrementally building the collection. These &lt;Filename&gt; elements will then identify which files are to be indexed if newly added, and which are to be re-indexed, as should happen if a document or its metadata has been edited. (For specifying which files are to be deleted, the document identifier will be used instead of the filename.)</Text>
 </NumberedItem>
 <NumberedItem>
@@ -5334,5 +5333,5 @@
 <Text id="ic-05c">On Linux and Mac:</Text>
 <Format>source ./gs3-setup.sh</Format>
-<Text id="ic-05d">In terminals, you'll need to hit Enter after each command in order to execute the command you just finished typing. We won't repeat this instruction anymore. Just remember to hit Enter after every complete command entered into a terminal.</Text>
+<Text id="ic-05d">In terminals, you'll need to hit Enter after each command in order to execute the command you just finished typing. We won't repeat this instruction any more. Just remember to hit Enter after every complete command entered into a terminal.</Text>
 <Text id="ic-05e">With the terminal now operating within your Greenstone installation folder, and with the Greenstone environment now set up and ready, type the following commands to do a complete build of your new collection. Although the command contains the word "rebuild" in it, since this is the first time the collection's being built, it will just build it.</Text>
 <Format>perl -S full-rebuild.pl -site localsite incremen</Format>
@@ -5344,12 +5343,12 @@
 </Heading>
 <NumberedItem>
-<Text id="ic-06a">If you want you can use GLI to drag and drop the <i>fb33fe</i>, <i>fb34fe</i> and <i>wb34te</i> folders, located in the <i>incr_build/more-files</i> sample files subfolder, into your collection.
-Alternatively, you can use a File Browser to copy the folders <i>fb33fe</i>, <i>fb34fe</i> and <i>wb34te</i>, located in the <i>incr_build/more-files</i> sample files subfolder, into your collection's <Format>import</Format> folder at <Format>web\sites\localsite\collect\incremen\import</Format>.</Text>
-<Text id="ic-06b">The above step will only have gathered 3 new documents into your collection. However, since the changes have not been built, previewing at this stage will make no difference.</Text>
+<Text id="ic-06a">If you want you can use GLI to drag and drop the <i>fb33fe</i>, <i>fb34fe</i> and <i>wb34te</i> folders, located in the <i>incr_build/more-files</i> subfolder of sample files, into your collection.</Text>
+<Text id="ic-06b">Alternatively, you can use a File Browser to copy the folders <i>fb33fe</i>, <i>fb34fe</i> and <i>wb34te</i>, located in the <i>incr_build/more-files</i> sample files subfolder, into your collection's <Format>import</Format> folder at <Format>web\sites\localsite\collect\incremen\import</Format>.</Text>
+<Text id="ic-06c">The above step will only have gathered 3 new documents into your collection. However, since the changes have not been built, previewing at this stage will make no difference.</Text>
 </NumberedItem>
 <NumberedItem>
 <Text id="ic-07">We want to build just the newly added documents into the collection if possible, instead of rebuilding everything. Return to the terminal you had left open. This time, instead of running <Format>full-rebuild</Format>, we'll run the <Format>incremental-import</Format> and <Format>incremental-buildcol</Format> scripts to perform the two phases of a Greenstone build operation incrementally, these being the <i>import</i> and <i>buildcol</i> phases. Incremental building allows us to (re)build just what is necessary, rather than everything.</Text>
 <Text id="ic-07a">Since we know exactly which files have been added and thus which files need to be built, we can write a manifest file specifying this. The manifest files used by the Greenstone incremental building process are just XML files that can be created and edited in a plain text editor, and which indicate which files need to be (re)processed by a Greenstone incremental build operation.</Text>
-<Text id="ic-07b">We've already prepared the manifest files we'll be using in this tutorial exercise for you. Use a File Browser to copy the <i>manifests</i> subfolder from the sample files folder into your <Format>incremen</Format> collection folder that's located inside your Greenstone 3 installation directory (at <Format>web\sites\localsite\collect\incremen</Format>).</Text>
+<Text id="ic-07b">We've already prepared the manifest files we'll be using in this tutorial exercise for you. Use a File Browser to copy the <i>manifests</i> subfolder from the <i>incr_build</i> sample files into your <Format>incremen</Format> collection folder that's located inside your Greenstone 3 installation directory (at <Format>web\sites\localsite\collect\incremen</Format>).</Text>
 <Text id="ic-07c">In a text editor, open the <i>add-new-files.xml</i> manifest file found in the newly copied <i>manifests</i> subfolder. Inspect the contents of this manifest file. It should contain:</Text>
 <Format>
@@ -5377,5 +5376,5 @@
 <Format>ant start</Format>
 <Text id="ic-09a">(To stop the Greenstone server at any point, use the command <Format>ant stop</Format>. To stop-and-start it, you'd use <Format>ant restart</Format>.)</Text>
-<Text id="ic-09b">When the server is runnning, preview your library home page, located by default at <Format>http://localhost:8383/greenstone3/library</Format>. Click on the Titles browser. There should be 3 additional documents now, and you should be able to search for terms that occur in them.</Text>
+<Text id="ic-09b">When the server is runnning, preview your library home page, located by default at <Format>http://localhost:8383/greenstone3/library</Format>. Visit the <i>Incremental with Manifests</i> collection and click on the Titles browser. There should be 3 additional documents now, and you should be able to search for terms that occur in them. For instance, try searching for "kouprey" and you should get results, as this term occurs in the newly added document <i>b18ase</i>.</Text>
 </NumberedItem>
 <Heading>
@@ -5393,6 +5392,6 @@
 &lt;/Manifest&gt;
 </Format>
-<Text id="ic-10b">As per the above manifest file, the operation to be performed by an incremental build is a &lt;Delete&gt; operation involving two documents. For the delete operation, the documents are not indicated by the &lt;Filename&gt; XML element, but by the &lt;OID&gt; element which specifies the object identifier. We need to use the OID here because we're telling Greenstone precisely what the identifiers of the documents are that we wish to have removed from our collection. The identifiers of every built document in a Greenstone collection are specified in the Identifier field of the document's <i>doc.xml</i> file located in the collection's <Format>archives</Format> folder. The <i>doc.xml</i> file is the Greenstone-specific XML format in which Greenstone stores documents already imported.</Text>
-<Text id="ic-10c">For instance, to find the identifier of the <i>b18ase.htm</i> document in your built collection, open up <Format>web/sites/localsite/collect/incremen/archives/b18ase-b.dir/doc.xml</Format> in a text editor. Then scroll down, looking for a piece of Greenstone extracted metadata labelled Identifier, which is the OID for this document:</Text>
+<Text id="ic-10b">As per the above manifest file, the operation to be performed by an incremental build is a &lt;Delete&gt; operation on two documents. For the delete operation, the documents are not indicated by the &lt;Filename&gt; XML element, but by the &lt;OID&gt; element which specifies the object identifier. We need to use the OID here because we're telling Greenstone precisely what the identifiers of the documents are that we wish to have removed from our collection. The identifiers of every built document in a Greenstone collection are specified in the Identifier field of the document's <i>doc.xml</i> file located in the collection's <Format>archives</Format> folder. The <i>doc.xml</i> file is the Greenstone-specific XML format in which Greenstone stores documents already imported.</Text>
+<Text id="ic-10c">For instance, to find the identifier of the <i>b18ase.htm</i> document in your built collection, open up <Format>web/sites/localsite/collect/incremen/archives/b18ase-b.dir/doc.xml</Format> in a text editor. Then scroll down, looking for a piece of Greenstone extracted metadata labelled <i>Identifier</i>, which is the OID for this document:</Text>
 <Format>&lt;Metadata name=&quot;Identifier&quot;&gt;b18ase-b18ase_htm&lt;/Metadata&gt;</Format>
 <Text id="ic-10d">The above value for the document identifier is what's used in the <i>delete-some-files.xml</i> manifest file to refer to this document. This document is one of two that are to be deleted as per the manifest file. Make sure to close the <i>doc.xml</i> file if you have it open.</Text>
@@ -5405,9 +5404,9 @@
 <Text id="ic-12a">First run the modified incremental import command:</Text>
 <Format>perl -S incremental-import.pl -manifest manifests/delete-some-files.xml -site localsite incremen</Format>
-<Text id="ic-12b">When that has finished running, run the old incremental buildcol command again (it doesn't change):</Text>
+<Text id="ic-12b">When that has finished running, run the same incremental buildcol command as before (it doesn't change):</Text>
 <Format>perl -S incremental-buildcol.pl -activate -site localsite incremen</Format>
 </NumberedItem>
 <NumberedItem>
-<Text id="ic-13">When it has finished, preview the collection once more and check that the 2 documents have been removed. They should not turn up in the browse classifiers, nor in search results.</Text>
+<Text id="ic-13">When it has finished, preview the collection once more and check that the 2 documents have been removed. They should not turn up in the browse classifiers, nor in search results. For example, search for "kouprey" again. Check that when you search for the term this time, that no documents matched the query. (Since it only occurs in document <i>b18ase</i>, which has now been removed.)</Text>
 </NumberedItem>
 <Heading>
@@ -5425,5 +5424,5 @@
 &lt;/Manifest&gt;
 </Format>
-<Text id="ic-14b">Note the &lt;Reindex&gt; used this time. It indicates which documents <b>already</b> in the collection are to be re-processed when the collection is incrementally rebuilt as per this manifest file.</Text>
+<Text id="ic-14b">Note the &lt;Reindex&gt; used this time. It indicates which documents that are <b>already</b> in the collection are to be re-processed when the collection is incrementally rebuilt as per this manifest file.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -5433,5 +5432,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ic-16">Next, quit the Greenstone server application if it was running, so that the Greenstone server is stopped. Start up GLI. Open the incremen collection and go to the Enrich panel. Add or modify dc.Title metadata for the b20cre document.</Text>
+<Text id="ic-16">Next, quit the Greenstone server application if it was running, so that the Greenstone server is stopped. Start up GLI. Open the incremen collection and go to the Enrich panel. Add or modify <i>dc.Title</i> metadata for the <i>b20cre</i> document. Do not accidentally build the collection using GLI.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -5452,5 +5451,5 @@
 <Text id="ic-21">Now repeat all the above exercises in the same sequence once again, but with a new collection called <i>autoincr</i> also based on the <i>Demo</i> collection. But this time, don't pass in the manifest file as an argument to the <Format>import.pl</Format> script. After each incremental build, preview your autoincr collection to check that the Browsing classifiers contain the expected documents and that searching returns the expected results.</Text>
 <Heading><Text id="ic-21">Incrementally indexing automatically</Text></Heading>
-<Text id="ic-22">Just as there is the command <Format>full-rebuild.pl</Format> to completely build a collection from scratch, there is also the command <Format>incremental-rebuild.pl</Format>. The exercise you have just completed could equally have been achieved by running:</Text>
+<Text id="ic-22">Just as there is the command <Format>full-rebuild.pl</Format> to completely build a collection from scratch, there is also the command <Format>incremental-rebuild.pl</Format>. The final exercise you have just completed could equally have been achieved by running:</Text>
 <Format>perl -S incremental-rebuild.pl -site localsite autoincr</Format>
 <Text id="ic-23">For every collection, the import phase can be run incrementally (either using a manifest file or automatically), however, the ability for the buildcol phase to be incremental depends on the indexer in use. Lucene and Solr indexers support incremental indexing, but MG and MGPP do not. A warning is issued if you attempt to run the buildcol phase incrementally when the chosen indexer does not support this.</Text>
@@ -5546,5 +5545,5 @@
 		<Tab n="2"/>&lt;li&gt;<br />
 		<Tab n="2"/>&lt;a href="{$library_name}/collection/{$collectionName}/page/about"&gt;<br />
-		<Tab n="2"/>&lt;xsl:value-of select="displayItem[@name='name']"/&gt;<br />
+		<Tab n="2"/>&lt;xsl:value-of select="displayItemList/displayItem[@name='name']"/&gt;<br />
 		<Tab n="2"/>&lt;/a&gt;<br />
 		<Tab n="2"/>&lt;/li&gt;<br />
@@ -5686,10 +5685,10 @@
 </Heading>
 <NumberedItem>
-<Text id="hp-31">To change the name of your library, open the <i>siteConfig.xml</i> file located in <Path>Greenstone3 &rarr; web &rarr; sites &rarr; localsite</Path> in a text editor. Near the end of the file, find the line:</Text>
-<Format>&lt;metadata name="siteName" lang="en"&gt;My Greenstone Library&lt;/metadata&gt;</Format>
+<Text id="hp-31">To change the name of your library, open the <i>siteConfig.xml</i> file located in <Path>Greenstone3 &rarr; web &rarr; sites &rarr; localsite</Path> in a text editor. Near the start of the file, find the line:</Text>
+<Format>&lt;displayItem name="siteName" lang="en"&gt;My Greenstone Library&lt;/displayItem&gt;</Format>
 <Text id="hp-32">And replace "My Greenstone Library" with another name, like "The Best Digital Library". Then save and close the file.</Text>
 </NumberedItem>
 <NumberedItem>
-<Text id="hp-33">For changes to <i>siteConfig.xml</i> to take effect, the site must be reconfigured. To do this, you can either restart the server, or, in a browser window, navigate to <b>http://localhost:8383/greenstone3/library?a=s&amp;sa=c</b> (replace <i>8383</i> if you are running the Greenstone3 server on another port, like <i>8080</i> or <i>8088</i>). Wait for the page to reload, which may take a while if there are many collections in your digital library. Navigate back to your home page (by clicking the link in the upper left corner). The page title and header should now be your new library name. Enter one of your collections and see that your library name (in the top left corner) has changed here, as well.</Text>
+<Text id="hp-33">For changes to <i>siteConfig.xml</i> to take effect, the site must be reconfigured. To do this, you can either restart the server, or, in a browser window, navigate to <b>http://localhost:8383/greenstone3/library?a=s&amp;sa=c</b> (replace <i>8383</i> if you are running the Greenstone3 server on another port, like <i>8080</i> or <i>8088</i>). Wait for the page to reload, which may take a while if there are many collections in your digital library. Navigate back to your home page (by clicking the link in the upper left corner). The page title and header should now be your new library name. Enter one of your collections and you should see that your library name (in the top left corner) has changed here, as well.</Text>
 </NumberedItem>
 </Content>
@@ -5717,5 +5716,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="dl-04">In a Windows Explorer, navigate to the <Path>Greenstone3 &rarr; web &rarr; WEB-INF </Path> folder and open <b>servlets.xml</b> in a text editor. Scroll down until you see this section:
+<Text id="dl-04">In a Windows Explorer, navigate to the <Path>Greenstone3 &rarr; web &rarr; WEB-INF </Path> folder and open <b>servlets.xml</b> in a text editor. Find the following section:
 </Text>
 
@@ -5964,5 +5963,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ni1-15">In the newly extracted folder, open the <b>layout</b> subfolder and copy the <b>styles</b>, <b>scripts</b>, and <b>images</b> folders into <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin</Path>. Also copy the file <b>license.txt</b> from the extracted folder into the same location. Move the javascript files (files that end with a js extension) that are in the new <Path>perrin &rarr; scripts &rarr; galleryviewthemes</Path> folder into <Path>perrin &rarr; scripts</Path>. If you wish, you can delete the <Path>perrin &rarr; scripts &rarr; galleryviewthemes</Path> folder.</Text>
+<Text id="ni1-15">In the newly extracted folder, open the <b>layout</b> subfolder and copy the <b>styles</b>, <b>scripts</b>, and <b>images</b> folders into <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin</Path>. Also copy the file <b>license.txt</b> from the extracted folder into the same location. Move the javascript files (files that end with a js extension) that are in the new <Path>perrin &rarr; scripts &rarr; galleryviewthemes</Path> folder into <Path>perrin &rarr; scripts</Path>. Move the <Path>perrin &rarr; scripts &rarr; galleryviewthemes &rarr; themes</Path> into <Path>perrin &rarr; images</Path>, and rename this <i>themes</i> folder to <i>galleryviewthemes</i>. If you wish, you can now delete the <Path>perrin &rarr; scripts &rarr; galleryviewthemes</Path> folder.</Text>
 <Text id="ni1-16">In the new <Path> perrin &rarr; images </Path> folder, delete everything<!-- except the <b>galleryviewthemes</b> folder and its contents-->, because we will not be using any of these images.</Text>
 </NumberedItem>
@@ -6022,5 +6021,5 @@
 		<Tab n="2"/>&lt;xsl:for-each select="./collectionList/collection"&gt;<br />
 			<Tab n="3"/>&lt;xsl:variable name="collectionFolder" select="@name"/&gt;<br />
-			<Tab n="3"/>&lt;xsl:variable name="collectionName" select="displayItem[@name='name']"/&gt;<br />
+			<Tab n="3"/>&lt;xsl:variable name="collectionName" select="displayItemList/displayItem[@name='name']"/&gt;<br />
 			<Tab n="3"/>&lt;xsl:variable name="homeImage"&gt;<br />
 				<Tab n="4"/>&lt;xsl:choose&gt;<br />
@@ -6119,7 +6118,7 @@
 	<Tab n="1"/>&lt;xsl:template name="collDescription"&gt;<br />
 		<Tab n="2"/>&lt;xsl:variable name="collectionFolder" select="@name"/&gt;<br />
-		<Tab n="2"/>&lt;xsl:variable name="collectionName" select="displayItem[@name='name']"/&gt;<br />
-		<Tab n="2"/>&lt;xsl:variable name="aboutImage" select="displayItem[@name='icon']"/&gt;<br />
-		<Tab n="2"/>&lt;xsl:variable name="collDesc" select="displayItem[@name='description']"/&gt;<br />
+		<Tab n="2"/>&lt;xsl:variable name="collectionName" select="displayItemList/displayItem[@name='name']"/&gt;<br />
+		<Tab n="2"/>&lt;xsl:variable name="aboutImage" select="displayItemList/displayItem[@name='icon']"/&gt;<br />
+		<Tab n="2"/>&lt;xsl:variable name="collDesc" select="displayItemList/displayItem[@name='description']"/&gt;<br />
 		<Tab n="2"/>&lt;xsl:variable name="numDocs" select="metadataList/metadata[@name='numDocs']"/&gt;<br /><br />
 